/*
 * Lynx - Hypertext navigation system
 *
 *   (c) Copyright 1992, 1993, 1994 University of Kansas
 *	 1995, 1996: GNU General Public License
 */
#ifndef LYMESSAGES_H
#define LYMESSAGES_H

/*******************************************************************
 * File Name: LYMessage.h
 * This message catolog header file, combined with GetMessage.c, LYMain.c,
 * and LYMessage.gen to provide a solution of Internationalization
 * requirment for SCO. 
 *
 * The following variables are for statusline prompts, messages,
 * or warnings issued by Lynx during program execution. Their default
 * values are given in GetMessage.c file in English. You can
 * modify them to make them more appropriate for you site, and/or
 * to use other languages.  Links to collections of alternate
 * definitions, developed by the Lynx User Community, are maintained
 * in Lynx links:
 *
 *    http://www.crl.com/~subir/lynx.html
 */

extern char* REALLY_QUIT;
extern char* REALLY_EXIT;
extern char* CANCELLED;
extern char* CANCELLING;
extern char* NO_CANCEL;
extern char* OPERATION_DONE;
extern char* BAD_REQUEST;
extern char* PREVIOUS;
extern char* NEXT_SCREEN;
extern char* HELP;
extern char* MOREHELP;
extern char* MORE;
extern char* FORM_LINK_TEXT_MESSAGE;
extern char* FORM_LINK_TEXT_UNM_MSG;
extern char* FORM_LINK_TEXT_SUBMIT_MESSAGE;
extern char* FORM_LINK_TEXT_RESUBMIT_MESSAGE;
extern char* FORM_LINK_TEXT_SUBMIT_UNM_MSG;
extern char* FORM_LINK_TEXT_SUBMIT_MAILTO_MSG;
extern char* FORM_LINK_TEXT_SUBMIT_MAILTO_DIS_MSG;
extern char* FORM_LINK_PASSWORD_MESSAGE;
extern char* FORM_LINK_PASSWORD_UNM_MSG;
extern char* FORM_LINK_CHECKBOX_MESSAGE;
extern char* FORM_LINK_CHECKBOX_UNM_MSG;
extern char* FORM_LINK_RADIO_MESSAGE;
extern char* FORM_LINK_RADIO_UNM_MSG;
extern char* FORM_LINK_SUBMIT_MESSAGE;
extern char* FORM_LINK_RESUBMIT_MESSAGE;
extern char* FORM_LINK_SUBMIT_DIS_MSG;
extern char* FORM_LINK_SUBMIT_MAILTO_MSG;
extern char* FORM_LINK_SUBMIT_MAILTO_DIS_MSG;
extern char* FORM_LINK_RESET_MESSAGE;
extern char* FORM_LINK_RESET_DIS_MSG;
extern char* FORM_LINK_OPTION_LIST_MESSAGE;
extern char* CHOICE_LIST_MESSAGE;
extern char* FORM_LINK_OPTION_LIST_UNM_MSG;
extern char* CHOICE_LIST_UNM_MSG;
extern char* NORMAL_LINK_MESSAGE;
extern char* LINK_NOT_FOUND;
extern char* WWW_WAIT_MESSAGE;
extern char* WWW_SKIP_MESSAGE;
extern char* ADVANCED_URL_MESSAGE;
extern char* WWW_FAIL_MESSAGE;
extern char* WWW_INDEX_MESSAGE;
extern char* WWW_INDEX_MORE_MESSAGE;
extern char* BAD_LINK_NUM_ENTERED;
extern char* SOURCE_HELP;
extern char* NOVICE_LINE_ONE;
extern char* NOVICE_LINE_TWO;
extern char* NOVICE_LINE_TWO_A;
extern char* NOVICE_LINE_TWO_B;
extern char* NOVICE_LINE_TWO_C;
extern char* FORM_NOVICELINE_ONE;
extern char* FORM_NOVICELINE_TWO;
extern char* SUBMITTING_FORM;
extern char* RESETTING_FORM;
extern char* RELOADING_FORM;
extern char* BAD_FORM_MAILTO;
extern char* FORM_MAILTO_DISALLOWED;
extern char* FORM_MAILTO_FAILED;
extern char* FORM_MAILTO_CANCELLED;
extern char* SENDING_FORM_CONTENT;
extern char* NO_ADDRESS_IN_MAILTO_URL;
extern char* MAILTO_URL_TEMPOPEN_FAILED;
extern char* COMMENT_REQUEST_CANCELLED;
extern char* INC_ORIG_MSG_PROMPT;
extern char* SPAWNING_EDITOR_FOR_MAIL;
extern char* ERROR_SPAWNING_EDITOR;
extern char* SEND_COMMENT_PROMPT;
extern char* SEND_MESSAGE_PROMPT;
extern char* SENDING_YOUR_MSG;
extern char* FILE_ACTIONS_DISALLOWED;
extern char* FILE_SERVED_LINKS_DISALLOWED;
extern char* FILE_BOOKMARKS_DISALLOWED;
extern char* SPECIAL_VIA_EXTERNAL_DISALLOWED;
extern char* RETURN_TO_LYNX;
extern char* SPAWNING_MSG;
extern char* SPAWNING_DISABLED;
extern char* DOWNLOAD_DISABLED;
extern char* NO_DOWNLOAD_INPUT;
extern char* NO_DOWNLOAD_MAILTO_ACTION;
extern char* NO_DOWNLOAD_COOKIES;
extern char* NO_DOWNLOAD_PRINT_OP;
extern char* NO_DOWNLOAD_UPLOAD_OP;
extern char* NO_DOWNLOAD_PERMIT_OP;
extern char* NO_DOWNLOAD_SPECIAL;
extern char* NO_DOWNLOAD_CHOICE;
extern char* TRACE_ON;
extern char* TRACE_OFF;
extern char* CLICKABLE_IMAGES_ON;
extern char* CLICKABLE_IMAGES_OFF;
extern char* PSEUDO_INLINE_ALTS_ON;
extern char* PSEUDO_INLINE_ALTS_OFF;
extern char* RAWMODE_OFF;
extern char* RAWMODE_ON;
extern char* HEAD_D_L_OR_CANCEL;
extern char* HEAD_D_OR_CANCEL;
extern char* DOC_NOT_HTTP_URL;
extern char* LINK_NOT_HTTP_URL;
extern char* FORM_ACTION_DISABLED;
extern char* FORM_ACTION_NOT_HTTP_URL;
extern char* NOT_HTTP_URL_OR_ACTION;
extern char* SPECIAL_ACTION_DISALLOWED;
extern char* NOT_IN_STARTING_REALM;
extern char* NEWSPOSTING_DISABLED;
extern char* DIRED_DISABLED;
extern char* NO_JUMPFILE;
extern char* JUMP_PROMPT;
extern char* JUMP_DISALLOWED;
extern char* RANDOM_URL_DISALLOWED;
extern char* NO_RANDOM_URLS_YET;
extern char* BOOKMARKS_DISABLED;
extern char* BOOKMARK_EXEC_DISABLED;
extern char* BOOKMARK_FILE_NOT_DEFINED;
extern char* NO_TEMP_FOR_HOTLIST;
extern char* BOOKMARK_OPEN_FAILED;
extern char* BOOKMARK_OPEN_FAILED_FOR_DEL;
extern char* BOOKSCRA_OPEN_FAILED_FOR_DEL;
extern char* ERROR_RENAMING_SCRA;
extern char* BOOKTEMP_OPEN_FAILED_FOR_DEL;
extern char* ERROR_RENAMING_TEMP;
extern char* BOOKTEMP_REOPEN_FAIL_FOR_DEL;
extern char* BOOKMARK_LINK_NOT_ONE_LINE;
extern char* BOOKMARK_DEL_FAILED;
extern char* BOOKMARKS_NOT_TRAVERSED;
extern char* BOOKMARKS_NOT_OPEN;
extern char* BOOKMARKS_NOLINKS;
extern char* BOOK_D_L_OR_CANCEL;
extern char* BOOK_D_OR_CANCEL;
extern char* BOOK_L_OR_CANCEL;
extern char* NOBOOK_POST_FORM;
extern char* NOBOOK_FORM_FIELD;
extern char* NOBOOK_HSML;
extern char* CONFIRM_BOOKMARK_DELETE;
extern char* MALFORMED_ADDRESS;
extern char* HISTORICAL_ON_MINIMAL_OFF;
extern char* HISTORICAL_OFF_MINIMAL_ON;
extern char* HISTORICAL_ON_VALID_OFF;
extern char* HISTORICAL_OFF_VALID_ON;
extern char* MINIMAL_ON_IN_EFFECT;
extern char* MINIMAL_OFF_VALID_ON;
extern char* MINIMAL_ON_BUT_HISTORICAL; 
extern char* MINIMAL_OFF_HISTORICAL_ON;
extern char* SOFT_DOUBLE_QUOTE_ON;
extern char* SOFT_DOUBLE_QUOTE_OFF;
extern char* ALREADY_AT_END;
extern char* ALREADY_AT_BEGIN;
extern char* ALREADY_AT_PAGE;
extern char* LINK_ALREADY_CURRENT;
extern char* ALREADY_AT_FIRST;
extern char* NO_LINKS_ABOVE;
extern char* NO_LINKS_BELOW;
extern char* MAXLEN_REACHED_DEL_OR_MOV;
extern char* NOT_ON_SUBMIT_OR_LINK;
extern char* NEED_CHECKED_RADIO_BUTTON;
extern char* PREV_DOC_QUERY;
extern char* ARROWS_OR_TAB_TO_MOVE;
extern char* ENTER_TEXT_ARROWS_OR_TAB;
extern char* NO_FORM_ACTION;
extern char* BAD_HTML_NO_POPUP;
extern char* POPUP_FAILED;
extern char* GOTO_DISALLOWED;
extern char* GOTO_NON_HTTP_DISALLOWED;
extern char* GOTO_CSO_DISALLOWED;
extern char* GOTO_FILE_DISALLOWED;
extern char* GOTO_FINGER_DISALLOWED;
extern char* GOTO_FTP_DISALLOWED;
extern char* GOTO_GOPHER_DISALLOWED;
extern char* GOTO_HTTP_DISALLOWED;
extern char* GOTO_HTTPS_DISALLOWED;
extern char* GOTO_CGI_DISALLOWED;
extern char* GOTO_EXEC_DISALLOWED;
extern char* GOTO_PROG_DISALLOWED;
extern char* GOTO_MAILTO_DISALLOWED;
extern char* GOTO_NEWS_DISALLOWED;
extern char* GOTO_NNTP_DISALLOWED;
extern char* GOTO_RLOGIN_DISALLOWED;
extern char* GOTO_SNEWS_DISALLOWED;
extern char* GOTO_TELNET_DISALLOWED;
extern char* GOTO_TN3270_DISALLOWED;
extern char* GOTO_WAIS_DISALLOWED;
extern char* GOTO_SPECIAL_DISALLOWED;
extern char* URL_TO_OPEN;
extern char* EDIT_CURRENT_GOTO;
extern char* EDIT_THE_PREV_GOTO;
extern char* EDIT_A_PREV_GOTO;
extern char* CURRENT_DOC_HAS_POST_DATA;
extern char* EDIT_CURDOC_URL;
extern char* ENTER_DATABASE_QUERY;
extern char* ENTER_WHEREIS_QUERY;
extern char* EDIT_CURRENT_QUERY;
extern char* EDIT_THE_PREV_QUERY;
extern char* EDIT_A_PREV_QUERY;
extern char* USE_C_R_TO_RESUB_CUR_QUERY;
extern char* EDIT_CURRENT_SHORTCUT;
extern char* EDIT_THE_PREV_SHORTCUT;
extern char* EDIT_A_PREV_SHORTCUT;
extern char* KEY_NOT_MAPPED_TO_JUMP_FILE;
extern char* CANNOT_LOCATE_JUMP_FILE;
extern char* CANNOT_OPEN_JUMP_FILE;
extern char* ERROR_READING_JUMP_FILE;
extern char* OUTOF_MEM_FOR_JUMP_FILE;
extern char* OUTOF_MEM_FOR_JUMP_TABLE;
extern char* NO_INDEX_FILE;
extern char* CONFIRM_MAIN_SCREEN;
extern char* IN_MAIN_SCREEN;
extern char* NOT_ISINDEX;
extern char* NO_OWNER;
extern char* NO_OWNER_USE;
extern char* CONFIRM_COMMENT;
extern char* MAIL_DISALLOWED;
extern char* EDIT_DISABLED;
extern char* NO_STATUS;
extern char* NO_EDITOR;
extern char* PRINT_DISABLED;
extern char* NO_TOOLBAR;
extern char* NOOPEN_TRAV_ERR_FILE;
extern char* FOLLOW_LINK_NUMBER;
extern char* SELECT_OPTION_NUMBER;
extern char* OPTION_CHOICE_NUMBER;
extern char* OPTION_ALREADY_CURRENT;
extern char* CHOICE_ALREADY_CURRENT;
extern char* ALREADY_AT_OPTION_END;
extern char* ALREADY_AT_CHOICE_END;
extern char* ALREADY_AT_OPTION_BEGIN;
extern char* ALREADY_AT_CHOICE_BEGIN;
extern char* ALREADY_AT_OPTION_PAGE;
extern char* ALREADY_AT_CHOICE_PAGE;
extern char* BAD_OPTION_NUM_ENTERED;
extern char* BAD_CHOICE_NUM_ENTERED;
extern char* BAD_HTML_USE_TRACE;
extern char* CANNOT_OPEN_TEMP;
extern char* CANNOT_OPEN_OUTPUT;
extern char* EXECUTION_DISABLED;
extern char* EXECUTION_DISABLED_FOR_FILE;
extern char* EXECUTION_NOT_COMPILED;
extern char* CANNOT_DISPLAY_FILE;
extern char* CANNOT_DISPLAY_FILE_D_OR_C;
extern char* WRONG_CHARSET_D_OR_C;
extern char* UNMAPPED_TYPE_D_OR_C;
extern char* CANCELLING_FILE;
extern char* RETRIEVING_FILE;
extern char* FILENAME_PROMPT;
extern char* EDIT_THE_PREV_FILENAME;
extern char* EDIT_A_PREV_FILENAME;
extern char* NEW_FILENAME_PROMPT;
extern char* FILENAME_CANNOT_BE_DOT;
extern char* FILE_EXISTS_HPROMPT;
extern char* FILE_EXISTS_OPROMPT;
extern char* CANNOT_WRITE_TO_FILE;
extern char* MISCONF_DOWNLOAD_COMMAND;
extern char* CANNOT_DOWNLOAD_FILE;
extern char* SAVING;
extern char* COULD_NOT_ACCESS_FILE;
extern char* CANNOT_EDIT_REMOTE_FILES;
extern char* NOAUTH_TO_EDIT_FILE;
extern char* TITLE_PROMPT;
extern char* SUBJECT_PROMPT;
extern char* USERNAME_PROMPT;
extern char* PASSWORD_PROMPT;
extern char* USERNAME_PASSWORD_REQUIRED;
extern char* PASSWORD_REQUIRED;
extern char* CGI_DISABLED;
extern char* CGI_NOT_COMPILED;
extern char* CANNOT_CONVERT_I_TO_O;
extern char* CONNECT_SET_FAILED;
extern char* CONNECT_FAILED;
extern char* MALFORMED_EXEC_REQUEST;
extern char* BADCHAR_IN_EXEC_LINK;
extern char* RELPATH_IN_EXEC_LINK;
extern char* BADLOCPATH_IN_EXEC_LINK;
extern char* MAIL_DISABLED;
extern char* ACCESS_ONLY_LOCALHOST;
extern char* TELNET_DISABLED;
extern char* TELNET_PORT_SPECS_DISABLED;
extern char* NEWS_DISABLED;
extern char* RLOGIN_DISABLED;
extern char* FTP_DISABLED;
extern char* NO_REFS_FROM_DOC;
extern char* CANNOT_OPEN_COMFILE;
extern char* NEWS_POST_CANCELLED;
extern char* SPAWNING_EDITOR_FOR_NEWS;
extern char* POST_MSG_PROMPT;
extern char* APPEND_SIG_FILE;
extern char* POSTING_TO_NEWS;
extern char* HAVE_UNREAD_MAIL_MSG;
extern char* HAVE_MAIL_MSG;
extern char* HAVE_NEW_MAIL_MSG;
extern char* SAVE_REQUEST_CANCELLED;
extern char* MAIL_REQUEST_CANCELLED;
extern char* MAILING_FILE;
extern char* MAIL_REQUEST_FAILED;
extern char* CONFIRM_LONG_SCREEN_PRINT;
extern char* PRINT_REQUEST_CANCELLED;
extern char* PRESS_RETURN_TO_BEGIN;
extern char* PRESS_RETURN_TO_FINISH;
extern char* CONFIRM_LONG_PAGE_PRINT;
extern char* FILE_ALLOC_FAILED;
extern char* UNABLE_TO_OPEN_TEMPFILE;
extern char* UNABLE_TO_OPEN_PRINTOP_FILE;
extern char* PRINTING_FILE;
extern char* MAIL_ADDRESS_PROMPT;
extern char* PRINTER_MISCONF_ERROR;
extern char* MISDIRECTED_MAP_REQUEST;
extern char* MAP_NOT_ACCESSIBLE;
extern char* MAPS_NOT_AVAILABLE;
extern char* MAP_NOT_AVAILABLE;
extern char* OPTION_SCREEN_NEEDS_24;
extern char* OPTION_SCREEN_NEEDS_23;
extern char* OPTION_SCREEN_NEEDS_22;
extern char* COMMAND_PROMPT;
extern char* SELECT_SEGMENT;
extern char* CAP_LETT_SEGMENT;
extern char* OF_OPT_LINE_SEGMENT;
extern char* TO_SAVE_SEGMENT;
extern char* OR_SEGMENT;
extern char* TO_RETURN_SEGMENT;
extern char* ACCEPT_DATA;
extern char* ACCEPT_DATA_OR_DEFAULT;
extern char* VALUE_ACCEPTED;
extern char* VALUE_ACCEPTED_WARNING_X;
extern char* VALUE_ACCEPTED_WARNING_NONX;
extern char* EDITOR_LOCKED;
extern char* FAILED_TO_SET_DISPLAY;
extern char* FAILED_CLEAR_SET_DISPLAY;
extern char* BOOKMARK_CHANGE_DISALLOWED;
extern char* DOTFILE_ACCESS_DISABLED;
extern char* UA_COPYRIGHT_WARNING;
extern char* CHANGE_OF_SETTING_DISALLOWED;
extern char* SAVING_OPTIONS;
extern char* OPTIONS_SAVED;
extern char* OPTIONS_NOT_SAVED;
extern char* R_TO_RETURN_TO_LYNX;
extern char* SAVE_OR_R_TO_RETURN_TO_LYNX;
extern char* ANY_KEY_CHANGE_RET_ACCEPT;
extern char* ERROR_UNCOMPRESSING_TEMP;
extern char* UNSUPPORTED_URL_SCHEME;
extern char* UNSUPPORTED_DATA_URL;
extern char* SERVER_ASKED_FOR_REDIRECTION;
extern char* PROCEED_GET_CANCEL;
extern char* ADVANCED_POST_REDIRECT;
extern char* CONFIRM_POST_RESUBMISSION;
extern char* WILL_NOT_RELOAD_DOC;
extern char* LOCATION_HEADER;
extern char* STRING_NOT_FOUND;
extern char* MULTIBOOKMARKS_DEFAULT;
extern char* MULTIBOOKMARKS_SMALL;
extern char* MULTIBOOKMARKS_SAVE;
extern char* MULTIBOOKMARKS_SELECT;
extern char* MULTIBOOKMARKS_SELF;
extern char* MULTIBOOKMARKS_DISALLOWED;
extern char* MULTIBOOKMARKS_SHEAD_MASK;
extern char* MULTIBOOKMARKS_SHEAD;
extern char* MULTIBOOKMARKS_EHEAD_MASK;
extern char* MULTIBOOKMARKS_EHEAD;
extern char* MULTIBOOKMARKS_LETTER;
extern char* USE_PATH_OFF_HOME;
extern char* MAXLINKS_REACHED;
extern char* MAXHIST_REACHED;
extern char* VISITED_LINKS_EMPTY;
extern char* MEMORY_EXHAUSTED_ABORT;
extern char* DFM_NOT_AVAILABLE;
extern char* BASE_NOT_ABSOLUTE;
extern char* LOCATION_NOT_ABSOLUTE;
extern char* REFRESH_URL_NOT_ABSOLUTE;
extern char* SENDING_MESSAGE_WITH_BODY_TO;
extern char* SENDING_COMMENT_TO;
extern char* CTRL_G_TO_CANCEL_SEND;
extern char* ENTER_NAME_OR_BLANK;
extern char* ENTER_MAIL_ADDRESS_OR_OTHER;
extern char* MEANS_TO_CONTACT_FOR_RESPONSE;
extern char* ENTER_SUBJECT_LINE;
extern char* ENTER_ADDRESS_FOR_CC;
extern char* BLANK_FOR_NO_COPY;
extern char* REVIEW_MESSAGE_BODY;
extern char* RETURN_TO_CONTINUE;
extern char* CTRL_U_TO_ERASE;
extern char* ENTER_MESSAGE_BELOW;
extern char* ENTER_PERIOD_WHEN_DONE_A;
extern char* ENTER_PERIOD_WHEN_DONE_B;
extern char* ADVANCED_COOKIE_CONFIRMATION;
extern char* ALLOWING_COOKIE;
extern char* REJECTING_COOKIE;
extern char* COOKIE_JAR_IS_EMPTY;
extern char* COOKIE_JAR_TITLE;
extern char* REACHED_COOKIE_JAR_PAGE;
extern char* ACTIVATE_TO_GOBBLE;
extern char* OR_CHANGE_ALLOW;
extern char* COOKIES_NEVER_ALLOWED;
extern char* COOKIES_ALWAYS_ALLOWED;
extern char* COOKIES_ALLOWED_VIA_PROMPT;
extern char* NO_NAME;
extern char* NO_VALUE;
extern char* END_OF_SESSION;
extern char* DELETE_COOKIE_CONFIRMATION;
extern char* COOKIE_EATEN;
extern char* DELETE_EMPTY_DOMAIN_CONFIRMATION;
extern char* DOMAIN_EATEN;
extern char* DELETE_COOKIES_SET_ALLOW_OR_CANCEL;
extern char* DELETE_DOMAIN_SET_ALLOW_OR_CANCEL;
extern char* DOMAIN_COOKIES_EATEN;
extern char* ALWAYS_ALLOWING_COOKIES;
extern char* NEVER_ALLOWING_COOKIES;
extern char* PROMTING_TO_ALLOW_COOKIES;
extern char* DELETE_ALL_COOKIES_IN_DOMAIN;
extern char* ALL_COOKIES_EATEN;
extern char* PORT_NINETEEN_INVALID;
extern char* PORT_TWENTYFIVE_INVALID;
extern char* HTML_STACK_OVERRUN;
extern char* BAD_PARTIAL_REFERENCE;
extern char* TRACELOG_OPEN_FAILED;
extern char* LYNX_TRACELOG_TITLE;
extern char* NO_TRACELOG_STARTED;
extern char* MAX_TEMPCOUNT_REACHED;
extern char* FORM_VALUE_TOO_LONG;
extern char* FORM_TAIL_COMBINED_WITH_HEAD;
extern char* DIRED_NOVICELINE;
extern char* CURRENT_LINK_STATUS_FAILED;

#endif /* LYMESSAGES_H */
