/*
 * Lynx - Hypertext navigation system
 *
 *   (c) Copyright 1992, 1993, 1994 University of Kansas
 *	 1995, 1996: GNU General Public License
 */

/*******************************************************************
 * File Name: GetMessages.c
 * This file has one function Locale_init() to initialize all extern variables
 * by using catgets() with default English messages
 */

#include <nl_types.h>
#include <strings.h>
#define MF_LYNX "lynx.cat"
#define MC_FLAGS NL_CAT_LOCALE
#define QUIT_DEFAULT_YES

/* externs */
char* REALLY_QUIT;
char* REALLY_EXIT;
char* CANCELLED;
char* CANCELLING;
char* NO_CANCEL;
char* OPERATION_DONE;
char* BAD_REQUEST;
char* PREVIOUS;
char* NEXT_SCREEN;
char* HELP;
char* MOREHELP;
char* MORE;
char* FORM_LINK_TEXT_MESSAGE;
char* FORM_LINK_TEXT_UNM_MSG;
char* FORM_LINK_TEXT_SUBMIT_MESSAGE;
char* FORM_LINK_TEXT_RESUBMIT_MESSAGE;
char* FORM_LINK_TEXT_SUBMIT_UNM_MSG;
char* FORM_LINK_TEXT_SUBMIT_MAILTO_MSG;
char* FORM_LINK_TEXT_SUBMIT_MAILTO_DIS_MSG;
char* FORM_LINK_PASSWORD_MESSAGE;
char* FORM_LINK_PASSWORD_UNM_MSG;
char* FORM_LINK_CHECKBOX_MESSAGE;
char* FORM_LINK_CHECKBOX_UNM_MSG;
char* FORM_LINK_RADIO_MESSAGE;
char* FORM_LINK_RADIO_UNM_MSG;
char* FORM_LINK_SUBMIT_MESSAGE;
char* FORM_LINK_RESUBMIT_MESSAGE;
char* FORM_LINK_SUBMIT_DIS_MSG;
char* FORM_LINK_SUBMIT_MAILTO_MSG;
char* FORM_LINK_SUBMIT_MAILTO_DIS_MSG;
char* FORM_LINK_RESET_MESSAGE;
char* FORM_LINK_RESET_DIS_MSG;
char* FORM_LINK_OPTION_LIST_MESSAGE;
char* CHOICE_LIST_MESSAGE;
char* FORM_LINK_OPTION_LIST_UNM_MSG;
char* CHOICE_LIST_UNM_MSG;
char* NORMAL_LINK_MESSAGE;
char* LINK_NOT_FOUND;
char* WWW_WAIT_MESSAGE;
char* WWW_SKIP_MESSAGE;
char* ADVANCED_URL_MESSAGE;
char* WWW_FAIL_MESSAGE;
char* WWW_INDEX_MESSAGE;
char* WWW_INDEX_MORE_MESSAGE;
char* BAD_LINK_NUM_ENTERED;
char* SOURCE_HELP;
char* NOVICE_LINE_ONE;
char* NOVICE_LINE_TWO;
char* NOVICE_LINE_TWO_A;
char* NOVICE_LINE_TWO_B;
char* NOVICE_LINE_TWO_C;
char* FORM_NOVICELINE_ONE;
char* FORM_NOVICELINE_TWO;
char* SUBMITTING_FORM;
char* RESETTING_FORM;
char* RELOADING_FORM;
char* BAD_FORM_MAILTO;
char* FORM_MAILTO_DISALLOWED;
char* FORM_MAILTO_FAILED;
char* FORM_MAILTO_CANCELLED;
char* SENDING_FORM_CONTENT;
char* NO_ADDRESS_IN_MAILTO_URL;
char* MAILTO_URL_TEMPOPEN_FAILED;
char* COMMENT_REQUEST_CANCELLED;
char* INC_ORIG_MSG_PROMPT;
char* SPAWNING_EDITOR_FOR_MAIL;
char* ERROR_SPAWNING_EDITOR;
char* SEND_COMMENT_PROMPT;
char* SEND_MESSAGE_PROMPT;
char* SENDING_YOUR_MSG;
char* FILE_ACTIONS_DISALLOWED;
char* FILE_SERVED_LINKS_DISALLOWED;
char* FILE_BOOKMARKS_DISALLOWED;
char* SPECIAL_VIA_EXTERNAL_DISALLOWED;
char* RETURN_TO_LYNX;
char* SPAWNING_MSG;
char* SPAWNING_DISABLED;
char* DOWNLOAD_DISABLED;
char* NO_DOWNLOAD_INPUT;
char* NO_DOWNLOAD_MAILTO_ACTION;
char* NO_DOWNLOAD_COOKIES;
char* NO_DOWNLOAD_PRINT_OP;
char* NO_DOWNLOAD_UPLOAD_OP;
char* NO_DOWNLOAD_PERMIT_OP;
char* NO_DOWNLOAD_SPECIAL;
char* NO_DOWNLOAD_CHOICE;
char* TRACE_ON;
char* TRACE_OFF;
char* CLICKABLE_IMAGES_ON;
char* CLICKABLE_IMAGES_OFF;
char* PSEUDO_INLINE_ALTS_ON;
char* PSEUDO_INLINE_ALTS_OFF;
char* RAWMODE_OFF;
char* RAWMODE_ON;
char* HEAD_D_L_OR_CANCEL;
char* HEAD_D_OR_CANCEL;
char* DOC_NOT_HTTP_URL;
char* LINK_NOT_HTTP_URL;
char* FORM_ACTION_DISABLED;
char* FORM_ACTION_NOT_HTTP_URL;
char* NOT_HTTP_URL_OR_ACTION;
char* SPECIAL_ACTION_DISALLOWED;
char* NOT_IN_STARTING_REALM;
char* NEWSPOSTING_DISABLED;
char* DIRED_DISABLED;
char* NO_JUMPFILE;
char* JUMP_PROMPT;
char* JUMP_DISALLOWED;
char* RANDOM_URL_DISALLOWED;
char* NO_RANDOM_URLS_YET;
char* BOOKMARKS_DISABLED;
char* BOOKMARK_EXEC_DISABLED;
char* BOOKMARK_FILE_NOT_DEFINED;
char* NO_TEMP_FOR_HOTLIST;
char* BOOKMARK_OPEN_FAILED;
char* BOOKMARK_OPEN_FAILED_FOR_DEL;
char* BOOKSCRA_OPEN_FAILED_FOR_DEL;
char* BOOKTEMP_OPEN_FAILED_FOR_DEL;
char* ERROR_RENAMING_SCRA;
char* ERROR_RENAMING_TEMP;
char* BOOKTEMP_REOPEN_FAIL_FOR_DEL;
char* BOOKMARK_LINK_NOT_ONE_LINE;
char* BOOKMARK_DEL_FAILED;
char* BOOKMARKS_NOT_TRAVERSED;
char* BOOKMARKS_NOT_OPEN;
char* BOOKMARKS_NOLINKS;
char* BOOK_D_L_OR_CANCEL;
char* BOOK_D_OR_CANCEL;
char* BOOK_L_OR_CANCEL;
char* NOBOOK_POST_FORM;
char* NOBOOK_FORM_FIELD;
char* NOBOOK_HSML;
char* CONFIRM_BOOKMARK_DELETE;
char* MALFORMED_ADDRESS;
char* HISTORICAL_ON_MINIMAL_OFF;
char* HISTORICAL_OFF_MINIMAL_ON;
char* HISTORICAL_ON_VALID_OFF;
char* HISTORICAL_OFF_VALID_ON;
char* MINIMAL_ON_IN_EFFECT;
char* MINIMAL_OFF_VALID_ON;
char* MINIMAL_ON_BUT_HISTORICAL;
char* MINIMAL_OFF_HISTORICAL_ON;
char* SOFT_DOUBLE_QUOTE_ON;
char* SOFT_DOUBLE_QUOTE_OFF;
char* ALREADY_AT_END;
char* ALREADY_AT_BEGIN;
char* ALREADY_AT_PAGE;
char* LINK_ALREADY_CURRENT;
char* ALREADY_AT_FIRST;
char* NO_LINKS_ABOVE;
char* NO_LINKS_BELOW;
char* MAXLEN_REACHED_DEL_OR_MOV;
char* NOT_ON_SUBMIT_OR_LINK;
char* NEED_CHECKED_RADIO_BUTTON;
char* PREV_DOC_QUERY;
char* ARROWS_OR_TAB_TO_MOVE;
char* ENTER_TEXT_ARROWS_OR_TAB;
char* NO_FORM_ACTION;
char* BAD_HTML_NO_POPUP;
char* POPUP_FAILED;
char* GOTO_DISALLOWED;
char* GOTO_NON_HTTP_DISALLOWED;
char* GOTO_CSO_DISALLOWED;
char* GOTO_FILE_DISALLOWED;
char* GOTO_FINGER_DISALLOWED;
char* GOTO_FTP_DISALLOWED;
char* GOTO_GOPHER_DISALLOWED;
char* GOTO_HTTP_DISALLOWED;
char* GOTO_HTTPS_DISALLOWED;
char* GOTO_CGI_DISALLOWED;
char* GOTO_EXEC_DISALLOWED;
char* GOTO_PROG_DISALLOWED;
char* GOTO_MAILTO_DISALLOWED;
char* GOTO_NEWS_DISALLOWED;
char* GOTO_NNTP_DISALLOWED;
char* GOTO_RLOGIN_DISALLOWED;
char* GOTO_SNEWS_DISALLOWED;
char* GOTO_TELNET_DISALLOWED;
char* GOTO_TN3270_DISALLOWED;
char* GOTO_WAIS_DISALLOWED;
char* GOTO_SPECIAL_DISALLOWED;
char* URL_TO_OPEN;
char* EDIT_CURRENT_GOTO;
char* EDIT_THE_PREV_GOTO;
char* EDIT_A_PREV_GOTO;
char* CURRENT_DOC_HAS_POST_DATA;
char* EDIT_CURDOC_URL;
char* ENTER_DATABASE_QUERY;
char* ENTER_WHEREIS_QUERY;
char* EDIT_CURRENT_QUERY;
char* EDIT_THE_PREV_QUERY;
char* EDIT_A_PREV_QUERY;
char* USE_C_R_TO_RESUB_CUR_QUERY;
char* EDIT_CURRENT_SHORTCUT;
char* EDIT_THE_PREV_SHORTCUT;
char* EDIT_A_PREV_SHORTCUT;
char* KEY_NOT_MAPPED_TO_JUMP_FILE;
char* CANNOT_LOCATE_JUMP_FILE;
char* CANNOT_OPEN_JUMP_FILE;
char* ERROR_READING_JUMP_FILE;
char* OUTOF_MEM_FOR_JUMP_FILE;
char* OUTOF_MEM_FOR_JUMP_TABLE;
char* NO_INDEX_FILE;
char* CONFIRM_MAIN_SCREEN;
char* IN_MAIN_SCREEN;
char* NOT_ISINDEX;
char* NO_OWNER;
char* NO_OWNER_USE;
char* CONFIRM_COMMENT;
char* MAIL_DISALLOWED;
char* EDIT_DISABLED;
char* NO_STATUS;
char* NO_EDITOR;
char* PRINT_DISABLED;
char* NO_TOOLBAR;
char* NOOPEN_TRAV_ERR_FILE;
char* FOLLOW_LINK_NUMBER;
char* SELECT_OPTION_NUMBER;
char* OPTION_CHOICE_NUMBER;
char* OPTION_ALREADY_CURRENT;
char* CHOICE_ALREADY_CURRENT;
char* ALREADY_AT_OPTION_END;
char* ALREADY_AT_CHOICE_END;
char* ALREADY_AT_OPTION_BEGIN;
char* ALREADY_AT_CHOICE_BEGIN;
char* ALREADY_AT_OPTION_PAGE;
char* ALREADY_AT_CHOICE_PAGE;
char* BAD_OPTION_NUM_ENTERED;
char* BAD_CHOICE_NUM_ENTERED;
char* BAD_HTML_USE_TRACE;
char* CANNOT_OPEN_TEMP;
char* CANNOT_OPEN_OUTPUT;
char* EXECUTION_DISABLED;
char* EXECUTION_DISABLED_FOR_FILE;
char* EXECUTION_NOT_COMPILED;
char* CANNOT_DISPLAY_FILE;
char* CANNOT_DISPLAY_FILE_D_OR_C;
char* WRONG_CHARSET_D_OR_C;
char* UNMAPPED_TYPE_D_OR_C;
char* CANCELLING_FILE;
char* RETRIEVING_FILE;
char* FILENAME_PROMPT;
char* EDIT_THE_PREV_FILENAME;
char* EDIT_A_PREV_FILENAME;
char* NEW_FILENAME_PROMPT;
char* FILENAME_CANNOT_BE_DOT;
char* FILE_EXISTS_HPROMPT;
char* FILE_EXISTS_OPROMPT;
char* CANNOT_WRITE_TO_FILE;
char* MISCONF_DOWNLOAD_COMMAND;
char* CANNOT_DOWNLOAD_FILE;
char* SAVING;
char* COULD_NOT_ACCESS_FILE;
char* CANNOT_EDIT_REMOTE_FILES;
char* NOAUTH_TO_EDIT_FILE;
char* TITLE_PROMPT;
char* SUBJECT_PROMPT;
char* USERNAME_PROMPT;
char* PASSWORD_PROMPT;
char* USERNAME_PASSWORD_REQUIRED;
char* PASSWORD_REQUIRED;
char* CGI_DISABLED;
char* CGI_NOT_COMPILED;
char* CANNOT_CONVERT_I_TO_O;
char* CONNECT_SET_FAILED;
char* CONNECT_FAILED;
char* MALFORMED_EXEC_REQUEST;
char* BADCHAR_IN_EXEC_LINK;
char* RELPATH_IN_EXEC_LINK;
char* BADLOCPATH_IN_EXEC_LINK;
char* MAIL_DISABLED;
char* ACCESS_ONLY_LOCALHOST;
char* TELNET_DISABLED;
char* TELNET_PORT_SPECS_DISABLED;
char* NEWS_DISABLED;
char* RLOGIN_DISABLED;
char* FTP_DISABLED;
char* NO_REFS_FROM_DOC;
char* CANNOT_OPEN_COMFILE;
char* NEWS_POST_CANCELLED;
char* SPAWNING_EDITOR_FOR_NEWS;
char* POST_MSG_PROMPT;
char* APPEND_SIG_FILE;
char* POSTING_TO_NEWS;
char* HAVE_UNREAD_MAIL_MSG;
char* HAVE_MAIL_MSG;
char* HAVE_NEW_MAIL_MSG;
char* SAVE_REQUEST_CANCELLED;
char* MAIL_REQUEST_CANCELLED;
char* MAILING_FILE;
char* MAIL_REQUEST_FAILED;
char* CONFIRM_LONG_SCREEN_PRINT;
char* PRINT_REQUEST_CANCELLED;
char* PRESS_RETURN_TO_BEGIN;
char* PRESS_RETURN_TO_FINISH;
char* CONFIRM_LONG_PAGE_PRINT;
char* FILE_ALLOC_FAILED;
char* UNABLE_TO_OPEN_TEMPFILE;
char* UNABLE_TO_OPEN_PRINTOP_FILE;
char* PRINTING_FILE;
char* MAIL_ADDRESS_PROMPT;
char* PRINTER_MISCONF_ERROR;
char* MISDIRECTED_MAP_REQUEST;
char* MAP_NOT_ACCESSIBLE;
char* MAPS_NOT_AVAILABLE;
char* MAP_NOT_AVAILABLE;
char* OPTION_SCREEN_NEEDS_24;
char* OPTION_SCREEN_NEEDS_23;
char* OPTION_SCREEN_NEEDS_22;
char* COMMAND_PROMPT;
char* SELECT_SEGMENT;
char* CAP_LETT_SEGMENT;
char* OF_OPT_LINE_SEGMENT;
char* TO_SAVE_SEGMENT;
char* OR_SEGMENT;
char* TO_RETURN_SEGMENT;
char* ACCEPT_DATA;
char* ACCEPT_DATA_OR_DEFAULT;
char* VALUE_ACCEPTED;
char* VALUE_ACCEPTED_WARNING_X;
char* VALUE_ACCEPTED_WARNING_NONX;
char* EDITOR_LOCKED;
char* FAILED_TO_SET_DISPLAY;
char* FAILED_CLEAR_SET_DISPLAY;
char* BOOKMARK_CHANGE_DISALLOWED;
char* DOTFILE_ACCESS_DISABLED;
char* UA_COPYRIGHT_WARNING;
char* CHANGE_OF_SETTING_DISALLOWED;
char* SAVING_OPTIONS;
char* OPTIONS_SAVED;
char* OPTIONS_NOT_SAVED;
char* R_TO_RETURN_TO_LYNX;
char* SAVE_OR_R_TO_RETURN_TO_LYNX;
char* ANY_KEY_CHANGE_RET_ACCEPT;
char* ERROR_UNCOMPRESSING_TEMP;
char* UNSUPPORTED_URL_SCHEME;
char* UNSUPPORTED_DATA_URL;
char* SERVER_ASKED_FOR_REDIRECTION;
char* PROCEED_GET_CANCEL;
char* ADVANCED_POST_REDIRECT;
char* CONFIRM_POST_RESUBMISSION;
char* WILL_NOT_RELOAD_DOC;
char* LOCATION_HEADER;
char* STRING_NOT_FOUND;
char* MULTIBOOKMARKS_DEFAULT;
char* MULTIBOOKMARKS_SMALL;
char* MULTIBOOKMARKS_SAVE;
char* MULTIBOOKMARKS_SELECT;
char* MULTIBOOKMARKS_SELF;
char* MULTIBOOKMARKS_DISALLOWED;
char* MULTIBOOKMARKS_SHEAD_MASK;
char* MULTIBOOKMARKS_SHEAD;
char* MULTIBOOKMARKS_EHEAD_MASK;
char* MULTIBOOKMARKS_EHEAD;
char* MULTIBOOKMARKS_LETTER;
char* USE_PATH_OFF_HOME;
char* MAXLINKS_REACHED;
char* MAXHIST_REACHED;
char* VISITED_LINKS_EMPTY;
char* MEMORY_EXHAUSTED_ABORT;
char* DFM_NOT_AVAILABLE;
char* BASE_NOT_ABSOLUTE;
char* LOCATION_NOT_ABSOLUTE;
char* REFRESH_URL_NOT_ABSOLUTE;
char* SENDING_MESSAGE_WITH_BODY_TO;
char* SENDING_COMMENT_TO;
char* CTRL_G_TO_CANCEL_SEND;
char* ENTER_NAME_OR_BLANK;
char* ENTER_MAIL_ADDRESS_OR_OTHER;
char* MEANS_TO_CONTACT_FOR_RESPONSE;
char* ENTER_SUBJECT_LINE;
char* ENTER_ADDRESS_FOR_CC;
char* BLANK_FOR_NO_COPY;
char* REVIEW_MESSAGE_BODY;
char* RETURN_TO_CONTINUE;
char* CTRL_U_TO_ERASE;
char* ENTER_MESSAGE_BELOW;
char* ENTER_PERIOD_WHEN_DONE_A;
char* ENTER_PERIOD_WHEN_DONE_B;
char* ADVANCED_COOKIE_CONFIRMATION;
char* ALLOWING_COOKIE;
char* REJECTING_COOKIE;
char* COOKIE_JAR_IS_EMPTY;
char* COOKIE_JAR_TITLE;
char* REACHED_COOKIE_JAR_PAGE;
char* ACTIVATE_TO_GOBBLE;
char* OR_CHANGE_ALLOW;
char* COOKIES_NEVER_ALLOWED;
char* COOKIES_ALWAYS_ALLOWED;
char* COOKIES_ALLOWED_VIA_PROMPT;
char* NO_NAME;
char* NO_VALUE;
char* END_OF_SESSION;
char* DELETE_COOKIE_CONFIRMATION;
char* COOKIE_EATEN;
char* DELETE_EMPTY_DOMAIN_CONFIRMATION;
char* DOMAIN_EATEN;
char* DELETE_COOKIES_SET_ALLOW_OR_CANCEL;
char* DELETE_DOMAIN_SET_ALLOW_OR_CANCEL;
char* DOMAIN_COOKIES_EATEN;
char* ALWAYS_ALLOWING_COOKIES;
char* NEVER_ALLOWING_COOKIES;
char* PROMTING_TO_ALLOW_COOKIES;
char* DELETE_ALL_COOKIES_IN_DOMAIN;
char* ALL_COOKIES_EATEN;
char* PORT_NINETEEN_INVALID;
char* PORT_TWENTYFIVE_INVALID;
char* HTML_STACK_OVERRUN;
char* BAD_PARTIAL_REFERENCE;
char* TRACELOG_OPEN_FAILED;
char* LYNX_TRACELOG_TITLE;
char* NO_TRACELOG_STARTED;
char* MAX_TEMPCOUNT_REACHED;
char* FORM_VALUE_TOO_LONG;
char* FORM_TAIL_COMBINED_WITH_HEAD;
char* DIRED_NOVICELINE;
char* CURRENT_LINK_STATUS_FAILED;


void locale_init()
{
     nl_catd  catd;
     char*    new_msg;


     catd = catopen(MF_LYNX, MC_FLAGS);   /* open catalog file: lynx.cat */

#ifdef QUIT_DEFAULT_YES
     new_msg = catgets (catd, 1, 1, "Are you sure you want to quit? [Y] ");
     REALLY_QUIT = strdup (new_msg);
#ifdef VMS
     new_msg = catgets (catd, 1, 2, "Really exit from Lynx? [Y] ");
     REALLY_EXIT = strdup (new_msg);
#endif /* VMS */
#else
     new_msg = catgets (catd, 1, 3, "Are you sure you want to quit? [N] ");
     REALLY_QUIT = strdup (new_msg);
#ifdef VMS
     new_msg = catgets (catd, 1, 4, "Really exit from Lynx? [N] ");
     REALLY_EXIT = strdup (new_msg);
#endif /* VMS */
#endif /* QUIT_DEFAULT_YES */

     new_msg = catgets (catd, 1, 5, "Cancelled!!!");
     CANCELLED = strdup (new_msg);
     new_msg = catgets (catd, 1, 6, "Cancelling!");
     CANCELLING = strdup (new_msg);
     new_msg = catgets (catd, 1, 7, "Excellent!!!");
     NO_CANCEL = strdup (new_msg);
     new_msg = catgets (catd, 1, 8, "Done!");
     OPERATION_DONE = strdup (new_msg);
     new_msg = catgets (catd, 1, 9, "Bad request!");
     BAD_REQUEST = strdup (new_msg);
     new_msg = catgets (catd, 1, 10, "previous");
     PREVIOUS = strdup (new_msg);
     new_msg = catgets (catd, 1, 11, "next screen");
     NEXT_SCREEN = strdup (new_msg);
     new_msg = catgets (catd, 1, 12, "Commands: Use arrow keys to move, '?' for help, 'q' to quit, '<-' to go back.");
     HELP = strdup (new_msg);
     new_msg = catgets (catd, 1, 13, "-- press space for more, use arrow keys to move, '?' for help, 'q' to quit.");
     MOREHELP = strdup (new_msg);
     new_msg = catgets (catd, 1, 14, "-- press space for next page --");
     MORE = strdup (new_msg);
     new_msg = catgets (catd, 1, 15, "(Text entry field) Enter text.  Use UP or DOWN arrows or tab to move off.");
     FORM_LINK_TEXT_MESSAGE = strdup (new_msg);
     new_msg = catgets (catd, 1, 16, "UNMODIFIABLE form text field.  Use UP or DOWN arrows or tab to move off.");
     FORM_LINK_TEXT_UNM_MSG = strdup (new_msg);
     new_msg = catgets (catd, 1, 17, "(Form field) Enter text.  Use <return> to submit ('x' for no cache).");
     FORM_LINK_TEXT_SUBMIT_MESSAGE = strdup (new_msg);
     new_msg = catgets (catd, 1, 18, "(Form field) Enter text.  Use <return> to submit, arrows or tab to move off.");
     FORM_LINK_TEXT_RESUBMIT_MESSAGE = strdup (new_msg);
     new_msg = catgets (catd, 1, 19, "UNMODIFIABLE form field.  Use UP or DOWN arrows or tab to move off.");
     FORM_LINK_TEXT_SUBMIT_UNM_MSG = strdup (new_msg);
     new_msg = catgets (catd, 1, 20, "(mailto form field) Enter text.  Use <return> to submit, arrows to move off.");
     FORM_LINK_TEXT_SUBMIT_MAILTO_MSG = strdup (new_msg);
     new_msg = catgets (catd, 1, 21, "(mailto form field) Mail is disallowed so you cannot submit.");
     FORM_LINK_TEXT_SUBMIT_MAILTO_DIS_MSG = strdup (new_msg);
     new_msg = catgets (catd, 1, 22, "(Password entry field) Enter text.  Use UP or DOWN arrows or tab to move off.");
     FORM_LINK_PASSWORD_MESSAGE = strdup (new_msg);
     new_msg = catgets (catd, 1, 23, "UNMODIFIABLE form password.  Use UP or DOWN arrows or tab to move off.");
     FORM_LINK_PASSWORD_UNM_MSG = strdup (new_msg);
     new_msg = catgets (catd, 1, 24, "(Checkbox Field)   Use right-arrow or <return> to toggle.");
     FORM_LINK_CHECKBOX_MESSAGE = strdup (new_msg);
     new_msg = catgets (catd, 1, 25, "UNMODIFIABLE form checkbox.  Use UP or DOWN arrows or tab to move off.");
     FORM_LINK_CHECKBOX_UNM_MSG = strdup (new_msg);
     new_msg = catgets (catd, 1, 26, "(Radio Button)   Use right-arrow or <return> to toggle.");
     FORM_LINK_RADIO_MESSAGE = strdup (new_msg);
     new_msg = catgets (catd, 1, 27, "UNMODIFIABLE form radio button.  Use UP or DOWN arrows or tab to move off.");
     FORM_LINK_RADIO_UNM_MSG = strdup (new_msg);
     new_msg = catgets (catd, 1, 28, "(Form submit button) Use right-arrow or <return> to submit ('x' for no cache).");
     FORM_LINK_SUBMIT_MESSAGE = strdup (new_msg);
     new_msg = catgets (catd, 1, 29, "(Form submit button) Use right-arrow or <return> to submit.");
     FORM_LINK_RESUBMIT_MESSAGE = strdup (new_msg);
     new_msg = catgets (catd, 1, 30, "DISABLED form submit button.  Use UP or DOWN arrows or tab to move off.");
     FORM_LINK_SUBMIT_DIS_MSG = strdup (new_msg);
     new_msg = catgets (catd, 1, 31, "(mailto form submit button) Use right-arrow or <return> to submit.");
     FORM_LINK_SUBMIT_MAILTO_MSG = strdup (new_msg);
     new_msg = catgets (catd, 1, 32, "(mailto form submit button) Mail is disallowed so you cannot submit.");
     FORM_LINK_SUBMIT_MAILTO_DIS_MSG = strdup (new_msg);
     new_msg = catgets (catd, 1, 33, "(Form reset button)   Use right-arrow or <return> to reset form to defaults.");
     FORM_LINK_RESET_MESSAGE = strdup (new_msg);
     new_msg = catgets (catd, 1, 34, "DISABLED form reset button.  Use UP or DOWN arrows or tab to move off.");
     FORM_LINK_RESET_DIS_MSG = strdup (new_msg);
     new_msg = catgets (catd, 1, 35, "(Option list) Hit return and use arrow keys and return to select option.");
     FORM_LINK_OPTION_LIST_MESSAGE = strdup (new_msg);
     new_msg = catgets (catd, 1, 36, "(Choice list) Hit return and use arrow keys and return to select option.");
     CHOICE_LIST_MESSAGE = strdup (new_msg);
     new_msg = catgets (catd, 1, 37, "UNMODIFIABLE option list.  Use return or arrow keys to review or leave.");
     FORM_LINK_OPTION_LIST_UNM_MSG = strdup (new_msg);
     new_msg = catgets (catd, 1, 38, "UNMODIFIABLE choice list.  Use return or arrow keys to review or leave.");
     CHOICE_LIST_UNM_MSG = strdup (new_msg);
     new_msg = catgets (catd, 1, 39, "(NORMAL LINK)   Use right-arrow or <return> to activate.");
     NORMAL_LINK_MESSAGE = strdup (new_msg);
     new_msg = catgets (catd, 1, 40, "The resource requested is not available at this time.");
     LINK_NOT_FOUND = strdup (new_msg);
     new_msg = catgets (catd, 1, 41, "Getting %s");
     WWW_WAIT_MESSAGE = strdup (new_msg);
     new_msg = catgets (catd, 1, 42, "Skipping %s");
     WWW_SKIP_MESSAGE = strdup (new_msg);
     new_msg = catgets (catd, 1, 43, "URL: %s");
     ADVANCED_URL_MESSAGE = strdup (new_msg);
     new_msg = catgets (catd, 1, 44, "Unable to access WWW file!!!");
     WWW_FAIL_MESSAGE = strdup (new_msg);
     new_msg = catgets (catd, 1, 45, "This is a searchable index.  Use %s to search.");
     WWW_INDEX_MESSAGE = strdup (new_msg);
     new_msg = catgets (catd, 1, 46 , "--More--  This is a searchable index.  Use %s to search.");
     WWW_INDEX_MORE_MESSAGE = strdup (new_msg);
     new_msg = catgets (catd, 1, 47, "You have entered an invalid link number.");
     BAD_LINK_NUM_ENTERED = strdup (new_msg);
     new_msg = catgets (catd, 1, 48, "Currently viewing document source.  Press '\\' to return to rendered version.");
     SOURCE_HELP = strdup (new_msg);
     new_msg = catgets (catd, 1, 49, "  Arrow keys: Up and Down to move. Right to follow a link; Left to go back.  \n");
     NOVICE_LINE_ONE = strdup (new_msg);
     new_msg = catgets (catd, 1, 50, " H)elp O)ptions P)rint G)o M)ain screen Q)uit /=search [delete]=history list \n");
     NOVICE_LINE_TWO = strdup (new_msg);
     new_msg = catgets (catd, 1, 51, "  O)ther cmds  H)elp  K)eymap  G)oto  P)rint  M)ain screen  o)ptions  Q)uit  \n");
     NOVICE_LINE_TWO_A = strdup (new_msg);
     new_msg = catgets (catd, 1, 52, "  O)ther cmds  B)ack  E)dit  D)ownload ^R)eload ^W)ipe screen  search doc: / \n");
     NOVICE_LINE_TWO_B = strdup (new_msg);
     new_msg = catgets (catd, 1, 53, "  O)ther cmds  C)omment  History: <delete>  Bookmarks: V)iew, A)dd, R)emove  \n");
     NOVICE_LINE_TWO_C = strdup (new_msg);
     new_msg = catgets (catd, 1, 54, "            Enter text into the field by typing on the keyboard           , ");
     FORM_NOVICELINE_ONE = strdup (new_msg);
     new_msg = catgets (catd, 1, 55, "    Ctrl-U to delete all text in field, [Backspace] to delete a character , ");
     FORM_NOVICELINE_TWO = strdup (new_msg);
     new_msg = catgets (catd, 1, 56, "Submitting form...");
     SUBMITTING_FORM = strdup (new_msg);
     new_msg = catgets (catd, 1, 57, "Resetting form...");
     RESETTING_FORM = strdup (new_msg);
     new_msg = catgets (catd, 1, 58, "Reloading document.  Any form entries will be lost!");
     RELOADING_FORM = strdup (new_msg);
     new_msg = catgets (catd, 1, 59, "Malformed mailto form submission!  Cancelled!");
     BAD_FORM_MAILTO = strdup (new_msg);
     new_msg = catgets (catd, 1, 60, "Mail disallowed!  Cannot submit.");
     FORM_MAILTO_DISALLOWED = strdup (new_msg);
     new_msg = catgets (catd, 1, 61, "Mailto form submission failed!");
     FORM_MAILTO_FAILED = strdup (new_msg);
     new_msg = catgets (catd, 1, 62, "Mailto form submission Cancelled!!!");
     FORM_MAILTO_CANCELLED = strdup (new_msg);
     new_msg = catgets (catd, 1, 63, "Sending form content...");
     SENDING_FORM_CONTENT = strdup (new_msg);
     new_msg = catgets (catd, 1, 64, "No email address is present in mailto URL!");
     NO_ADDRESS_IN_MAILTO_URL = strdup (new_msg);
     new_msg = catgets (catd, 1, 65, "Unable to open temporary file for mailto URL!");
     MAILTO_URL_TEMPOPEN_FAILED = strdup (new_msg);
     new_msg = catgets (catd, 1, 66, "Comment request cancelled!!!");
     COMMENT_REQUEST_CANCELLED = strdup (new_msg);
     new_msg = catgets (catd, 1, 67, "Do you wish to include the original message? (y/n) ");
     INC_ORIG_MSG_PROMPT = strdup (new_msg);
     new_msg = catgets (catd, 1, 68, "Spawning your selected editor to edit mail message");
     SPAWNING_EDITOR_FOR_MAIL = strdup (new_msg);
     new_msg = catgets (catd, 1, 69, "Error spawning editor, check your editor definition in the options menu");
     ERROR_SPAWNING_EDITOR = strdup (new_msg);
     new_msg = catgets (catd, 1, 70, "Send this comment? (y/n) ");
     SEND_COMMENT_PROMPT = strdup (new_msg);
     new_msg = catgets (catd, 1, 71, "Send this message? (y/n) ");
     SEND_MESSAGE_PROMPT = strdup (new_msg);
     new_msg = catgets (catd, 1, 72, "Sending your message...");
     SENDING_YOUR_MSG = strdup (new_msg);
     new_msg = catgets (catd, 1, 73, "file: ACTIONs are disallowed!");
     FILE_ACTIONS_DISALLOWED = strdup (new_msg);
     new_msg = catgets (catd, 1, 74, "file: URLs via served links are disallowed!");
     FILE_SERVED_LINKS_DISALLOWED = strdup (new_msg);
     new_msg = catgets (catd, 1, 75, "file: URLs via bookmarks are disallowed!");
     FILE_BOOKMARKS_DISALLOWED = strdup (new_msg);
     new_msg = catgets (catd, 1, 76, "This special URL is not allowed in external documents!");
     SPECIAL_VIA_EXTERNAL_DISALLOWED = strdup (new_msg);
     new_msg = catgets (catd, 1, 77, "Press <return> to return to Lynx.");
     RETURN_TO_LYNX = strdup (new_msg);
#ifdef VMS
     new_msg = catgets (catd, 1, 78, "Spawning DCL subprocess.  Use 'logout' to return to Lynx.\n");
#else
     new_msg = catgets (catd, 1, 79, "Spawning your default shell.  Use 'exit' to return to Lynx.\n");
#endif /* VMS */
     SPAWNING_MSG = strdup (new_msg);
     new_msg = catgets (catd, 1, 80, "Spawning is currently disabled.");
     SPAWNING_DISABLED = strdup (new_msg);
     new_msg = catgets (catd, 1, 81, "The 'd'ownload command is currently disabled.");
     DOWNLOAD_DISABLED = strdup (new_msg);
     new_msg = catgets (catd, 1, 82, "You cannot download a input field.");
     NO_DOWNLOAD_INPUT = strdup (new_msg);
     new_msg = catgets (catd, 1, 83, "Form has a mailto action!  Cannot download.");
     NO_DOWNLOAD_MAILTO_ACTION = strdup (new_msg);
     new_msg = catgets (catd, 1, 84, "You cannot download cookies.");
     NO_DOWNLOAD_COOKIES = strdup (new_msg);
     new_msg = catgets (catd, 1, 85, "You cannot download a printing option.");
     NO_DOWNLOAD_PRINT_OP = strdup (new_msg);
     new_msg = catgets (catd, 1, 86, "You cannot download an upload option.");
     NO_DOWNLOAD_UPLOAD_OP = strdup (new_msg);
     new_msg = catgets (catd, 1, 87, "You cannot download an permit option.");
     NO_DOWNLOAD_PERMIT_OP = strdup (new_msg);
     new_msg = catgets (catd, 1, 88, "This special URL cannot be downloaded!");
     NO_DOWNLOAD_SPECIAL = strdup (new_msg);
     new_msg = catgets (catd, 1, 89, "Nothing to download.");
     NO_DOWNLOAD_CHOICE = strdup (new_msg);
     new_msg = catgets (catd, 1, 90, "Trace ON!");
     TRACE_ON = strdup (new_msg);
     new_msg = catgets (catd, 1, 91, "Trace OFF!");
     TRACE_OFF = strdup (new_msg);
     new_msg = catgets (catd, 1, 92, "Links will be included for all images!  Reloading...");
     CLICKABLE_IMAGES_ON = strdup (new_msg);
     new_msg = catgets (catd, 1, 93, "Standard image handling restored!  Reloading...");
     CLICKABLE_IMAGES_OFF = strdup (new_msg);
     new_msg = catgets (catd, 1, 94, "Pseudo_ALTs will be inserted for inlines without ALT strings!  Reloading...");
     PSEUDO_INLINE_ALTS_ON = strdup (new_msg);
     new_msg = catgets (catd, 1, 95, "Inlines without an ALT string specified will be ignored!  Reloading...");
     PSEUDO_INLINE_ALTS_OFF = strdup (new_msg);
     new_msg = catgets (catd, 1, 96, "Raw 8-bit or CJK mode toggled OFF!  Reloading...");
     RAWMODE_OFF = strdup (new_msg);
     new_msg = catgets (catd, 1, 97, "Raw 8-bit or CJK mode toggled ON!  Reloading...");
     RAWMODE_ON = strdup (new_msg);
     new_msg = catgets (catd, 1, 98, "Send HEAD request for D)ocument or L)ink, or C)ancel? (d,l,c): ");
     HEAD_D_L_OR_CANCEL = strdup (new_msg);
     new_msg = catgets (catd, 1, 99, "Send HEAD request for D)ocument, or C)ancel? (d,c): ");
     HEAD_D_OR_CANCEL = strdup (new_msg);
     new_msg = catgets (catd, 1, 100, "Sorry, the document is not an http URL.");
     DOC_NOT_HTTP_URL = strdup (new_msg);
     new_msg = catgets (catd, 1, 101, "Sorry, the link is not an http URL.");
     LINK_NOT_HTTP_URL = strdup (new_msg);
     new_msg = catgets (catd, 1, 102, "Sorry, the ACTION for this form is disabled.");
     FORM_ACTION_DISABLED = strdup (new_msg);
     new_msg = catgets (catd, 1, 103, "Sorry, the ACTION for this form is not an http URL.");
     FORM_ACTION_NOT_HTTP_URL = strdup (new_msg);
     new_msg = catgets (catd, 1, 104, "Not an http URL or form ACTION!");
     NOT_HTTP_URL_OR_ACTION = strdup (new_msg);
     new_msg = catgets (catd, 1, 105, "This special URL cannot be a form ACTION!");
     SPECIAL_ACTION_DISALLOWED = strdup (new_msg);
     new_msg = catgets (catd, 1, 106, "URL is not in starting realm!");
     NOT_IN_STARTING_REALM = strdup (new_msg);
     new_msg = catgets (catd, 1, 107, "News posting is disabled!");
     NEWSPOSTING_DISABLED = strdup (new_msg);
     new_msg = catgets (catd, 1, 108, "File management support is disabled!");
     DIRED_DISABLED = strdup (new_msg);
     new_msg = catgets (catd, 1, 109, "No jump file is currently available.");
     NO_JUMPFILE = strdup (new_msg);
     new_msg = catgets (catd, 1, 110, "Jump to (use '?' for list): ");
     JUMP_PROMPT = strdup (new_msg);
     new_msg = catgets (catd, 1, 111, "Jumping to a shortcut URL is disallowed!");
     JUMP_DISALLOWED = strdup (new_msg);
     new_msg = catgets (catd, 1, 112, "Random URL is disallowed!  Use a shortcut.");
     RANDOM_URL_DISALLOWED = strdup (new_msg);
     new_msg = catgets (catd, 1, 113, "No random URLs have been used thus far.");
     NO_RANDOM_URLS_YET = strdup (new_msg);
     new_msg = catgets (catd, 1, 114, "Bookmark features are currently disabled.");
     BOOKMARKS_DISABLED = strdup (new_msg);
     new_msg = catgets (catd, 1, 115, "Execution via bookmarks is disabled.");
     BOOKMARK_EXEC_DISABLED = strdup (new_msg);
     new_msg = catgets (catd, 1, 116, "Bookmark file is not defined. Use %s to see options.");
     BOOKMARK_FILE_NOT_DEFINED = strdup (new_msg);
     new_msg = catgets (catd, 1, 117, "Unable to open tempfile for X Mosaic hotlist conversion.");
     NO_TEMP_FOR_HOTLIST = strdup (new_msg);
     new_msg = catgets (catd, 1, 118, "ERROR - unable to open bookmark file.");
     BOOKMARK_OPEN_FAILED = strdup (new_msg);
     new_msg = catgets (catd, 1, 119, "Unable to open bookmark file for deletion of link.");
     BOOKMARK_OPEN_FAILED_FOR_DEL = strdup (new_msg);
#ifdef VMS
     new_msg = catgets (catd, 1, 120, "Unable to open scratch file for deletion of link.");
     BOOKSCRA_OPEN_FAILED_FOR_DEL = strdup (new_msg);
     new_msg = catgets (catd, 1, 121, "Error renaming scratch file.");
     ERROR_RENAMING_SCRA = strdup (new_msg);
#else
     new_msg = catgets (catd, 1, 122, "Unable to open temporary file for deletion of link.");
     BOOKTEMP_OPEN_FAILED_FOR_DEL = strdup (new_msg);
     new_msg = catgets (catd, 1, 123, "Error renaming temporary file.");
     ERROR_RENAMING_TEMP = strdup (new_msg);
     new_msg = catgets (catd, 1, 124, "Unable to reopen temporary file for deletion of link.");
     BOOKTEMP_REOPEN_FAIL_FOR_DEL = strdup (new_msg);
#endif /* VMS */
     new_msg = catgets (catd, 1, 125, "Link is not by itself all on one line in bookmark file.");
     BOOKMARK_LINK_NOT_ONE_LINE = strdup (new_msg);
     new_msg = catgets (catd, 1, 126, "Bookmark deletion failed.");
     BOOKMARK_DEL_FAILED = strdup (new_msg);
     new_msg = catgets (catd, 1, 127, "Bookmark files cannot be traversed (only http URLs).");
     BOOKMARKS_NOT_TRAVERSED = strdup (new_msg);
     new_msg = catgets (catd, 1, 128, "Unable to open bookmark file, use 'a' to save a link first");
     BOOKMARKS_NOT_OPEN = strdup (new_msg);
     new_msg = catgets (catd, 1, 129, "There are no links in this bookmark file!");
     BOOKMARKS_NOLINKS = strdup (new_msg);

     new_msg = catgets (catd, 1, 130, "Save D)ocument or L)ink to bookmark file or C)ancel? (d,l,c): ");
     BOOK_D_L_OR_CANCEL = strdup (new_msg);
     new_msg = catgets (catd, 1, 131, "Save D)ocument to bookmark file or C)ancel? (d,c): ");
     BOOK_D_OR_CANCEL = strdup (new_msg);
     new_msg = catgets (catd, 1, 132, "Save L)ink to bookmark file or C)ancel? (l,c): ");
     BOOK_L_OR_CANCEL = strdup (new_msg);
     new_msg = catgets (catd, 1, 133, "Documents from forms with POST content cannot be saved as bookmarks.");
     NOBOOK_POST_FORM = strdup (new_msg);
     new_msg = catgets (catd, 1, 134, "Cannot save form fields/links");
     NOBOOK_FORM_FIELD = strdup (new_msg);
     new_msg = catgets (catd, 1, 135, "History, showinfo, menu and list files cannot be saved as bookmarks.");
     NOBOOK_HSML = strdup (new_msg);
     new_msg = catgets (catd, 1, 136, "Do you really want to delete this link from your bookmark file? (y/n)");
     CONFIRM_BOOKMARK_DELETE = strdup (new_msg);
     new_msg = catgets (catd, 1, 137, "Malformed address.");
     MALFORMED_ADDRESS = strdup (new_msg);
     new_msg = catgets (catd, 1, 138, "Historical comment parsing ON (Minimal is overridden)!");
     HISTORICAL_ON_MINIMAL_OFF = strdup (new_msg);
     new_msg = catgets (catd, 1, 139, "Historical comment parsing OFF (Minimal is in effect)!");
     HISTORICAL_OFF_MINIMAL_ON = strdup (new_msg);
     new_msg = catgets (catd, 1, 140, "Historical comment parsing ON (Valid is overridden)!");
     HISTORICAL_ON_VALID_OFF = strdup (new_msg);
     new_msg = catgets (catd, 1, 141, "Historical comment parsing OFF (Valid is in effect)!");
     HISTORICAL_OFF_VALID_ON = strdup (new_msg);
     new_msg = catgets (catd, 1, 142, "Minimal comment parsing ON (and in effect)!");
     MINIMAL_ON_IN_EFFECT = strdup (new_msg);
     new_msg = catgets (catd, 1, 143, "Minimal comment parsing OFF (Valid is in effect)!");
     MINIMAL_OFF_VALID_ON = strdup (new_msg);
     new_msg = catgets (catd, 1, 144, "Minimal comment parsing ON (but Historical is in effect)!");
     MINIMAL_ON_BUT_HISTORICAL = strdup (new_msg);
     new_msg = catgets (catd, 1, 145, "Minimal comment parsing OFF (Historical is in effect)!");
     MINIMAL_OFF_HISTORICAL_ON = strdup (new_msg);
     new_msg = catgets (catd, 1, 146, "Soft double-quote parsing ON!");
     SOFT_DOUBLE_QUOTE_ON = strdup (new_msg);
     new_msg = catgets (catd, 1, 147, "Soft double-quote parsing OFF!");
     SOFT_DOUBLE_QUOTE_OFF = strdup (new_msg);
     new_msg = catgets (catd, 1, 148, "You are already at the end of this document.");
     ALREADY_AT_END = strdup (new_msg);
     new_msg = catgets (catd, 1, 149, "You are already at the beginning of this document.");
     ALREADY_AT_BEGIN = strdup (new_msg);
     new_msg = catgets (catd, 1, 150, "You are already at page %d of this document.");
     ALREADY_AT_PAGE = strdup (new_msg);
     new_msg = catgets (catd, 1, 151, "Link number %d already is current.");
     LINK_ALREADY_CURRENT = strdup (new_msg);
     new_msg = catgets (catd, 1, 152, "You are already at the first document");
     ALREADY_AT_FIRST = strdup (new_msg);
     new_msg = catgets (catd, 1, 153, "There are no links above this line of the document.");
     NO_LINKS_ABOVE = strdup (new_msg);
     new_msg = catgets (catd, 1, 154, "There are no links below this line of the document.");
     NO_LINKS_BELOW = strdup (new_msg);
     new_msg = catgets (catd, 1, 155, "Maximum length reached!  Delete text or move off field.");
     MAXLEN_REACHED_DEL_OR_MOV = strdup (new_msg);
     new_msg = catgets (catd, 1, 156, "You are not on a form submission button or normal link.");
     NOT_ON_SUBMIT_OR_LINK = strdup (new_msg);
     new_msg = catgets (catd, 1, 157, "One radio button must be checked at all times!");
     NEED_CHECKED_RADIO_BUTTON = strdup (new_msg);
     new_msg = catgets (catd, 1, 158, "Do you want to go back to the previous document? [N]");
     PREV_DOC_QUERY = strdup (new_msg);
     new_msg = catgets (catd, 1, 159, "Use arrows or tab to move off of field.");
     ARROWS_OR_TAB_TO_MOVE = strdup (new_msg);
     new_msg = catgets (catd, 1, 160, "Enter text. Use arrows or tab to move off of field.");
     ENTER_TEXT_ARROWS_OR_TAB = strdup (new_msg);
     new_msg = catgets (catd, 1, 161, "** Bad HTML!!  No form action defined. **");
     NO_FORM_ACTION = strdup (new_msg);
     new_msg = catgets (catd, 1, 162, "Bad HTML!!  Unable to create popup window!");
     BAD_HTML_NO_POPUP = strdup (new_msg);
     new_msg = catgets (catd, 1, 163, "Unable to create popup window!");
     POPUP_FAILED = strdup (new_msg);
     new_msg = catgets (catd, 1, 164, "Goto a random URL is disallowed!");
     GOTO_DISALLOWED = strdup (new_msg);
     new_msg = catgets (catd, 1, 165, "Goto a non-http URL is disallowed!");
     GOTO_NON_HTTP_DISALLOWED = strdup (new_msg);
     new_msg = catgets (catd, 1, 166, "You are not allowed to goto \");cso:\"); URLs");
     GOTO_CSO_DISALLOWED = strdup (new_msg);
     new_msg = catgets (catd, 1, 167, "You are not allowed to goto \");file:\"); URLs");
     GOTO_FILE_DISALLOWED = strdup (new_msg);
     new_msg = catgets (catd, 1, 168, "You are not allowed to goto \");finger:\"); URLs");
     GOTO_FINGER_DISALLOWED = strdup (new_msg);
     new_msg = catgets (catd, 1, 169, "You are not allowed to goto \");ftp:\"); URLs");
     GOTO_FTP_DISALLOWED = strdup (new_msg);
     new_msg = catgets (catd, 1, 170, "You are not allowed to goto \");gopher:\"); URLs");
     GOTO_GOPHER_DISALLOWED = strdup (new_msg);
     new_msg = catgets (catd, 1, 171, "You are not allowed to goto \");http:\"); URLs");
     GOTO_HTTP_DISALLOWED = strdup (new_msg);
     new_msg = catgets (catd, 1, 172, "You are not allowed to goto \");https:\"); URLs");
     GOTO_HTTPS_DISALLOWED = strdup (new_msg);
     new_msg = catgets (catd, 1, 173, "You are not allowed to goto \");lynxcgi:\"); URLs");
     GOTO_CGI_DISALLOWED = strdup (new_msg);
     new_msg = catgets (catd, 1, 174, "You are not allowed to goto \");lynxexec:\"); URLs");
     GOTO_EXEC_DISALLOWED = strdup (new_msg);
     new_msg = catgets (catd, 1, 175, "You are not allowed to goto \");lynxprog:\"); URLs");
     GOTO_PROG_DISALLOWED = strdup (new_msg);
     new_msg = catgets (catd, 1, 176, "You are not allowed to goto \");mailto:\"); URLs");
     GOTO_MAILTO_DISALLOWED = strdup (new_msg);
     new_msg = catgets (catd, 1, 177, "You are not allowed to goto \");news:\"); URLs");
     GOTO_NEWS_DISALLOWED = strdup (new_msg);
     new_msg = catgets (catd, 1, 178, "You are not allowed to goto \");nntp:\"); URLs");
     GOTO_NNTP_DISALLOWED = strdup (new_msg);
     new_msg = catgets (catd, 1, 179, "You are not allowed to goto \");rlogin:\"); URLs");
     GOTO_RLOGIN_DISALLOWED = strdup (new_msg);
     new_msg = catgets (catd, 1, 180, "You are not allowed to goto \");snews:\"); URLs");
     GOTO_SNEWS_DISALLOWED = strdup (new_msg);
     new_msg = catgets (catd, 1, 181, "You are not allowed to goto \");telnet:\"); URLs");
     GOTO_TELNET_DISALLOWED = strdup (new_msg);
     new_msg = catgets (catd, 1, 182, "You are not allowed to goto \");tn3270:\"); URLs");
     GOTO_TN3270_DISALLOWED = strdup (new_msg);
     new_msg = catgets (catd, 1, 183, "You are not allowed to goto \");wais:\"); URLs");
     GOTO_WAIS_DISALLOWED = strdup (new_msg);
     new_msg = catgets (catd, 1, 184, "This special URL is not allowed as a goto!");
     GOTO_SPECIAL_DISALLOWED = strdup (new_msg);
     new_msg = catgets (catd, 1, 185, "URL to open: ");
     URL_TO_OPEN = strdup (new_msg);
     new_msg = catgets (catd, 1, 186, "Edit the current Goto URL: ");
     EDIT_CURRENT_GOTO = strdup (new_msg);
     new_msg = catgets (catd, 1, 187, "Edit the previous Goto URL: ");
     EDIT_THE_PREV_GOTO = strdup (new_msg);
     new_msg = catgets (catd, 1, 188, "Edit a previous Goto URL: ");
     EDIT_A_PREV_GOTO = strdup (new_msg);
     new_msg = catgets (catd, 1, 189, "Current document has POST data.");
     CURRENT_DOC_HAS_POST_DATA = strdup (new_msg);
     new_msg = catgets (catd, 1, 190, "Edit this document's URL: ");
     EDIT_CURDOC_URL = strdup (new_msg);
     new_msg = catgets (catd, 1, 191, "Enter a database query: ");
     ENTER_DATABASE_QUERY = strdup (new_msg);
     new_msg = catgets (catd, 1, 192, "Enter a whereis query: ");
     ENTER_WHEREIS_QUERY = strdup (new_msg);
     new_msg = catgets (catd, 1, 193, "Edit the current query: ");
     EDIT_CURRENT_QUERY = strdup (new_msg);
     new_msg = catgets (catd, 1, 194, "Edit the previous query: ");
     EDIT_THE_PREV_QUERY = strdup (new_msg);
     new_msg = catgets (catd, 1, 195, "Edit a previous query: ");
     EDIT_A_PREV_QUERY = strdup (new_msg);
     new_msg = catgets (catd, 1, 196, "Use Control-R to resubmit the current query.");
     USE_C_R_TO_RESUB_CUR_QUERY = strdup (new_msg);
     new_msg = catgets (catd, 1, 197, "Edit the current shortcut: ");
     EDIT_CURRENT_SHORTCUT = strdup (new_msg);
     new_msg = catgets (catd, 1, 198, "Edit the previous shortcut: ");
     EDIT_THE_PREV_SHORTCUT = strdup (new_msg);
     new_msg = catgets (catd, 1, 199, "Edit a previous shortcut: ");
     EDIT_A_PREV_SHORTCUT = strdup (new_msg);
     new_msg = catgets (catd, 1, 200, "Key '%c' is not mapped to a jump file!");
     KEY_NOT_MAPPED_TO_JUMP_FILE = strdup (new_msg);
     new_msg = catgets (catd, 1, 201, "Cannot locate jump file!");
     CANNOT_LOCATE_JUMP_FILE = strdup (new_msg);
     new_msg = catgets (catd, 1, 202, "Cannot open jump file!");
     CANNOT_OPEN_JUMP_FILE = strdup (new_msg);
     new_msg = catgets (catd, 1, 203, "Error reading jump file!");
     ERROR_READING_JUMP_FILE = strdup (new_msg);
     new_msg = catgets (catd, 1, 204, "Out of memory reading jump file!");
     OUTOF_MEM_FOR_JUMP_FILE = strdup (new_msg);
     new_msg = catgets (catd, 1, 205, "Out of memory reading jump table!");
     OUTOF_MEM_FOR_JUMP_TABLE = strdup (new_msg);
     new_msg = catgets (catd, 1, 206, "No index is currently available.");
     NO_INDEX_FILE = strdup (new_msg);
     new_msg = catgets (catd, 1, 207, "Do you really want to go to the Main screen? (y/n) [n] ");
     CONFIRM_MAIN_SCREEN = strdup (new_msg);
     new_msg = catgets (catd, 1, 208, "You are already at main screen!");
     IN_MAIN_SCREEN = strdup (new_msg);
     new_msg = catgets (catd, 1, 209, "Not a searchable indexed document -- press '/' to search for a text string");
     NOT_ISINDEX = strdup (new_msg);
     new_msg = catgets (catd, 1, 210, "No owner is defined for this file so you cannot send a comment");
     NO_OWNER = strdup (new_msg);
     new_msg = catgets (catd, 1, 211, "No owner is defined. Use %s? [N] ");
     NO_OWNER_USE = strdup (new_msg);
     new_msg = catgets (catd, 1, 212, "Do you wish to send a comment? [N]");
     CONFIRM_COMMENT = strdup (new_msg);
     new_msg = catgets (catd, 1, 213, "Mail is disallowed so you cannot send a comment");
     MAIL_DISALLOWED = strdup (new_msg);
     new_msg = catgets (catd, 1, 214, "The 'e'dit command is currently disabled.");
     EDIT_DISABLED = strdup (new_msg);
     new_msg = catgets (catd, 1, 215, "System error - failure to get status.");
     NO_STATUS = strdup (new_msg);
     new_msg = catgets (catd, 1, 216, "No editor is defined!");
     NO_EDITOR = strdup (new_msg);
     new_msg = catgets (catd, 1, 217, "The 'p'rint command is currently disabled.");
     PRINT_DISABLED = strdup (new_msg);
     new_msg = catgets (catd, 1, 218, "Document has no Toolbar links or Banner.");
     NO_TOOLBAR = strdup (new_msg);
     new_msg = catgets (catd, 1, 219, "Unable to open traversal errors output file");
     NOOPEN_TRAV_ERR_FILE = strdup (new_msg);
     new_msg = catgets (catd, 1, 220, "Follow link (or page) number: ");
     FOLLOW_LINK_NUMBER = strdup (new_msg);
     new_msg = catgets (catd, 1, 221, "Select option (or page) number: ");
     SELECT_OPTION_NUMBER = strdup (new_msg);
     new_msg = catgets (catd, 1, 222, "Option choice (or page) number: ");
     OPTION_CHOICE_NUMBER = strdup (new_msg);
     new_msg = catgets (catd, 1, 223, "Option number %d already is current.");
     OPTION_ALREADY_CURRENT = strdup (new_msg);
     new_msg = catgets (catd, 1, 224, "Choice number %d already is current.");
     CHOICE_ALREADY_CURRENT = strdup (new_msg);
     new_msg = catgets (catd, 1, 225, "You are already at the end of this option list.");
     ALREADY_AT_OPTION_END = strdup (new_msg);
     new_msg = catgets (catd, 1, 226, "You are already at the end of this choice list.");
     ALREADY_AT_CHOICE_END = strdup (new_msg);
     new_msg = catgets (catd, 1, 227, "You are already at the beginning of this option list.");
     ALREADY_AT_OPTION_BEGIN = strdup (new_msg);
     new_msg = catgets (catd, 1, 228, "You are already at the beginning of this choice list.");
     ALREADY_AT_CHOICE_BEGIN = strdup (new_msg);
     new_msg = catgets (catd, 1, 229, "You are already at page %d of this option list.");
     ALREADY_AT_OPTION_PAGE = strdup (new_msg);
     new_msg = catgets (catd, 1, 230, "You are already at page %d of this choice list.");
     ALREADY_AT_CHOICE_PAGE = strdup (new_msg);
     new_msg = catgets (catd, 1, 231, "You have entered an invalid option number.");
     BAD_OPTION_NUM_ENTERED = strdup (new_msg);
     new_msg = catgets (catd, 1, 232, "You have entered an invalid choice number.");
     BAD_CHOICE_NUM_ENTERED = strdup (new_msg);
     new_msg = catgets (catd, 1, 233, "** Bad HTML!!  Use -trace to diagnose. **");
     BAD_HTML_USE_TRACE = strdup (new_msg);
     new_msg = catgets (catd, 1, 234, "Can't open temporary file!");
     CANNOT_OPEN_TEMP = strdup (new_msg);
     new_msg = catgets (catd, 1, 235, "Can't open output file!  Cancelling!");
     CANNOT_OPEN_OUTPUT = strdup (new_msg);
     new_msg = catgets (catd, 1, 236, "Execution is disabled.");
     EXECUTION_DISABLED = strdup (new_msg);
     new_msg = catgets (catd, 1, 237, "Execution is not enabled for this file. See the Options menu (use %s).");
     EXECUTION_DISABLED_FOR_FILE = strdup (new_msg);
     new_msg = catgets (catd, 1, 238, "Execution capabilities are not compiled into this version.");
     EXECUTION_NOT_COMPILED = strdup (new_msg);
     new_msg = catgets (catd, 1, 239, "This file cannot be displayed on this terminal.");
     CANNOT_DISPLAY_FILE = strdup (new_msg);
     new_msg = catgets (catd, 1, 240, "This file cannot be displayed on this terminal:  D)ownload, or C)ancel");
     CANNOT_DISPLAY_FILE_D_OR_C = strdup (new_msg);
     new_msg = catgets (catd, 1, 241, "%s  D)ownload, or C)ancel");
     WRONG_CHARSET_D_OR_C = strdup (new_msg);
     new_msg = catgets (catd, 1, 242, "%s  D)ownload, or C)ancel");
     UNMAPPED_TYPE_D_OR_C = strdup (new_msg);
     new_msg = catgets (catd, 1, 243, "Cancelling file.");
     CANCELLING_FILE = strdup (new_msg);
     new_msg = catgets (catd, 1, 244, "Retrieving file.  - PLEASE WAIT -");
     RETRIEVING_FILE = strdup (new_msg);
     new_msg = catgets (catd, 1, 245, "Enter a filename: ");
     FILENAME_PROMPT = strdup (new_msg);
     new_msg = catgets (catd, 1, 246, "Edit the previous filename: ");
     EDIT_THE_PREV_FILENAME = strdup (new_msg);
     new_msg = catgets (catd, 1, 247, "Edit a previous filename: ");
     EDIT_A_PREV_FILENAME = strdup (new_msg);
     new_msg = catgets (catd, 1, 248, "Enter a new filename: ");
     NEW_FILENAME_PROMPT = strdup (new_msg);
     new_msg = catgets (catd, 1, 249, "File name may not begin with a dot.");
     FILENAME_CANNOT_BE_DOT = strdup (new_msg);
#ifdef VMS
     new_msg = catgets (catd, 1, 250, "File exists. Create higher version? (y/n)");
     FILE_EXISTS_HPROMPT = strdup (new_msg);
#else
     new_msg = catgets (catd, 1, 251, "File exists. Overwrite? (y/n)");
     FILE_EXISTS_OPROMPT = strdup (new_msg);
#endif /* VMS */
     new_msg = catgets (catd, 1, 252, "Cannot write to file.");
     CANNOT_WRITE_TO_FILE = strdup (new_msg);
     new_msg = catgets (catd, 1, 253, "ERROR! - download command is misconfigured.");
     MISCONF_DOWNLOAD_COMMAND = strdup (new_msg);
     new_msg = catgets (catd, 1, 254, "Unable to download file.");
     CANNOT_DOWNLOAD_FILE = strdup (new_msg);
     new_msg = catgets (catd, 1, 255, "Saving...");
     SAVING = strdup (new_msg);
     new_msg = catgets (catd, 1, 256, "Could not access file.");
     COULD_NOT_ACCESS_FILE = strdup (new_msg);
     new_msg = catgets (catd, 1, 257, "Lynx cannot currently (E)dit remote WWW files");
     CANNOT_EDIT_REMOTE_FILES = strdup (new_msg);
     new_msg = catgets (catd, 1, 258, "You are not authorized to edit this file.");
     NOAUTH_TO_EDIT_FILE = strdup (new_msg);
     new_msg = catgets (catd, 1, 259, "Title: ");
     TITLE_PROMPT = strdup (new_msg);
     new_msg = catgets (catd, 1, 260, "Subject: ");
     SUBJECT_PROMPT = strdup (new_msg);
     new_msg = catgets (catd, 1, 261, "Username: ");
     USERNAME_PROMPT = strdup (new_msg);
     new_msg = catgets (catd, 1, 262, "Password: ");
     PASSWORD_PROMPT = strdup (new_msg);
     new_msg = catgets (catd, 1, 263, "lynx: Username and Password required!!!");
     USERNAME_PASSWORD_REQUIRED = strdup (new_msg);
     new_msg = catgets (catd, 1, 264, "lynx: Password required!!!");
     PASSWORD_REQUIRED = strdup (new_msg);
     new_msg = catgets (catd, 1, 265, "cgi support has been disabled by system administrator.");
     CGI_DISABLED = strdup (new_msg);
     new_msg = catgets (catd, 1, 266, "Lynxcgi capabilities are not compiled into this version.");
     CGI_NOT_COMPILED = strdup (new_msg);
     new_msg = catgets (catd, 1, 267, "Sorry, no known way of converting %s to %s.");
     CANNOT_CONVERT_I_TO_O = strdup (new_msg);
     new_msg = catgets (catd, 1, 268, "Unable to set up connection.");
     CONNECT_SET_FAILED = strdup (new_msg);
     new_msg = catgets (catd, 1, 269, "Unable to make connection");
     CONNECT_FAILED = strdup (new_msg);
     new_msg = catgets (catd, 1, 270, "Executable link rejected due to malformed request.");
     MALFORMED_EXEC_REQUEST = strdup (new_msg);
     new_msg = catgets (catd, 1, 271, "Executable link rejected due to `%c' character.");
     BADCHAR_IN_EXEC_LINK = strdup (new_msg);
     new_msg = catgets (catd, 1, 272, "Executable link rejected due to relative path string ('../').");
     RELPATH_IN_EXEC_LINK = strdup (new_msg);
     new_msg = catgets (catd, 1, 273, "Executable link rejected due to location or path.");
     BADLOCPATH_IN_EXEC_LINK = strdup (new_msg);
     new_msg = catgets (catd, 1, 274, "Mail access is disabled!");
     MAIL_DISABLED = strdup (new_msg);
     new_msg = catgets (catd, 1, 275, "Only files and servers on the local host can be accessed.");
     ACCESS_ONLY_LOCALHOST = strdup (new_msg);
     new_msg = catgets (catd, 1, 276, "Telnet access is disabled!");
     TELNET_DISABLED = strdup (new_msg);
     new_msg = catgets (catd, 1, 277, "Telnet port specifications are disabled.");
     TELNET_PORT_SPECS_DISABLED = strdup (new_msg);
     new_msg = catgets (catd, 1, 278, "USENET news access is disabled!");
     NEWS_DISABLED = strdup (new_msg);
     new_msg = catgets (catd, 1, 279, "Rlogin access is disabled!");
     RLOGIN_DISABLED = strdup (new_msg);
     new_msg = catgets (catd, 1, 280, "Ftp access is disabled!");
     FTP_DISABLED = strdup (new_msg);
     new_msg = catgets (catd, 1, 281, "There are no references from this document.");
     NO_REFS_FROM_DOC = strdup (new_msg);
#ifdef VMS
     new_msg = catgets (catd, 1, 282, "Unable to open command file.");
     CANNOT_OPEN_COMFILE = strdup (new_msg);
#endif
     new_msg = catgets (catd, 1, 283, "News Post Cancelled!!!");
     NEWS_POST_CANCELLED = strdup (new_msg);
     new_msg = catgets (catd, 1, 284, "Spawning your selected editor to edit news message");
     SPAWNING_EDITOR_FOR_NEWS = strdup (new_msg);
     new_msg = catgets (catd, 1, 285, "Post this message? (y/n) ");
     POST_MSG_PROMPT = strdup (new_msg);
     new_msg = catgets (catd, 1, 286, "Append '%s'?  (y/n) ");
     APPEND_SIG_FILE = strdup (new_msg);
     new_msg = catgets (catd, 1, 287, "Posting to newsgroup(s)...");
     POSTING_TO_NEWS = strdup (new_msg);
#ifdef VMS
     new_msg = catgets (catd, 1, 288, "*** You have unread mail. ***");
     HAVE_UNREAD_MAIL_MSG = strdup (new_msg);
#else
     new_msg = catgets (catd, 1, 289, "*** You have mail. ***");
     HAVE_MAIL_MSG = strdup (new_msg);
#endif
     new_msg = catgets (catd, 1, 290, "*** You have new mail. ***");
     HAVE_NEW_MAIL_MSG = strdup (new_msg);
     new_msg = catgets (catd, 1, 291, "Save request cancelled!!!");
     SAVE_REQUEST_CANCELLED = strdup (new_msg);
     new_msg = catgets (catd, 1, 292, "Mail request cancelled!!!");
     MAIL_REQUEST_CANCELLED = strdup (new_msg);
     new_msg = catgets (catd, 1, 293, "Mailing file.  Please wait...");
     MAILING_FILE = strdup (new_msg);
     new_msg = catgets (catd, 1, 294, "ERROR - Unable to mail file");
     MAIL_REQUEST_FAILED = strdup (new_msg);
     new_msg = catgets (catd, 1, 295, "File is %d screens long.  Are you sure you want to print? [y]");
     CONFIRM_LONG_SCREEN_PRINT = strdup (new_msg);
     new_msg = catgets (catd, 1, 296, "Print request cancelled!!!");
     PRINT_REQUEST_CANCELLED = strdup (new_msg);
     new_msg = catgets (catd, 1, 297, "Press <return> to begin: ");
     PRESS_RETURN_TO_BEGIN = strdup (new_msg);
     new_msg = catgets (catd, 1, 298, "Press <return> to finish: ");
     PRESS_RETURN_TO_FINISH = strdup (new_msg);
     new_msg = catgets (catd, 1, 299, "File is %d pages long.  Are you sure you want to print? [y]");
     CONFIRM_LONG_PAGE_PRINT = strdup (new_msg);
     new_msg = catgets (catd, 1, 300, "ERROR - Unable to allocate file space!!!");
     FILE_ALLOC_FAILED = strdup (new_msg);
     new_msg = catgets (catd, 1, 301, "Unable to open tempfile");
     UNABLE_TO_OPEN_TEMPFILE = strdup (new_msg);
     new_msg = catgets (catd, 1, 302, "Unable to open print options file");
     UNABLE_TO_OPEN_PRINTOP_FILE = strdup (new_msg);
     new_msg = catgets (catd, 1, 303, "Printing file.  Please wait...");
     PRINTING_FILE = strdup (new_msg);
     new_msg = catgets (catd, 1, 304, "Please enter a valid internet mail address: ");
     MAIL_ADDRESS_PROMPT = strdup (new_msg);
     new_msg = catgets (catd, 1, 305, "ERROR! - printer is misconfigured!");
     PRINTER_MISCONF_ERROR = strdup (new_msg);
     new_msg = catgets (catd, 1, 306, "Misdirected client-side image MAP request!");
     MISDIRECTED_MAP_REQUEST = strdup (new_msg);
     new_msg = catgets (catd, 1, 307, "Client-side image MAP is not accessible!");
     MAP_NOT_ACCESSIBLE = strdup (new_msg);
     new_msg = catgets (catd, 1, 308, "No client-side image MAPs are available!");
     MAPS_NOT_AVAILABLE = strdup (new_msg);
     new_msg = catgets (catd, 1, 309, "Client-side image MAP is not available!");
     MAP_NOT_AVAILABLE = strdup (new_msg);
     new_msg = catgets (catd, 1, 310, "Screen height must be at least 24 lines for the Options menu!");
     OPTION_SCREEN_NEEDS_24 = strdup (new_msg);
     new_msg = catgets (catd, 1, 311, "Screen height must be at least 23 lines for the Options menu!");
     OPTION_SCREEN_NEEDS_23 = strdup (new_msg);
     new_msg = catgets (catd, 1, 312, "Screen height must be at least 22 lines for the Options menu!");
     OPTION_SCREEN_NEEDS_22 = strdup (new_msg);
     new_msg = catgets (catd, 1, 313, "Command: ");
     COMMAND_PROMPT = strdup (new_msg);
     new_msg = catgets (catd, 1, 314, "Select ");
     SELECT_SEGMENT = strdup (new_msg);
     new_msg = catgets (catd, 1, 315, "capital letter");
     CAP_LETT_SEGMENT = strdup (new_msg);
     new_msg = catgets (catd, 1, 316, " of option line,");
     OF_OPT_LINE_SEGMENT = strdup (new_msg);
     new_msg = catgets (catd, 1, 317, " to save,");
     TO_SAVE_SEGMENT = strdup (new_msg);
     new_msg = catgets (catd, 1, 318, " or ");
     OR_SEGMENT = strdup (new_msg);
     new_msg = catgets (catd, 1, 319, " to return to Lynx.");
     TO_RETURN_SEGMENT = strdup (new_msg);
     new_msg = catgets (catd, 1, 320, "Hit RETURN to accept entered data.");
     ACCEPT_DATA = strdup (new_msg);
     new_msg = catgets (catd, 1, 321, "Hit RETURN to accept entered data.  Delete data to invoke the default.");
     ACCEPT_DATA_OR_DEFAULT = strdup (new_msg);
     new_msg = catgets (catd, 1, 322, "Value accepted!");
     VALUE_ACCEPTED = strdup (new_msg);
     new_msg = catgets (catd, 1, 323, "Value accepted! -- WARNING: Lynx is configured for XWINDOWS!");
     VALUE_ACCEPTED_WARNING_X = strdup (new_msg);
     new_msg = catgets (catd, 1, 324, "Value accepted! -- WARNING: Lynx is NOT configured for XWINDOWS!");
     VALUE_ACCEPTED_WARNING_NONX = strdup (new_msg);
     new_msg = catgets (catd, 1, 325, "You are not allowed to change which editor to use!");
     EDITOR_LOCKED = strdup (new_msg);
     new_msg = catgets (catd, 1, 326, "Failed to set DISPLAY variable!");
     FAILED_TO_SET_DISPLAY = strdup (new_msg);
     new_msg = catgets (catd, 1, 327, "Failed to clear DISPLAY variable!");
     FAILED_CLEAR_SET_DISPLAY = strdup (new_msg);
     new_msg = catgets (catd, 1, 328, "You are not allowed to change the bookmark file!");
     BOOKMARK_CHANGE_DISALLOWED = strdup (new_msg);
     new_msg = catgets (catd, 1, 329, "Access to dot files is disabled!");
     DOTFILE_ACCESS_DISABLED = strdup (new_msg);
     new_msg = catgets (catd, 1, 330, "WARNING: Misrepresentation of the User-Agent may be a copyright violation!");
     UA_COPYRIGHT_WARNING = strdup (new_msg);
     new_msg = catgets (catd, 1, 331, "You are not allowed to change this setting.");
     CHANGE_OF_SETTING_DISALLOWED = strdup (new_msg);
     new_msg = catgets (catd, 1, 332, "Saving Options...");
     SAVING_OPTIONS = strdup (new_msg);
     new_msg = catgets (catd, 1, 333, "Options saved!");
     OPTIONS_SAVED = strdup (new_msg);
     new_msg = catgets (catd, 1, 334, "Unable to save Options!");
     OPTIONS_NOT_SAVED = strdup (new_msg);
     new_msg = catgets (catd, 1, 335, " 'r' to return to Lynx ");
     R_TO_RETURN_TO_LYNX = strdup (new_msg);
     new_msg = catgets (catd, 1, 336, " '>' to save, or 'r' to return to Lynx ");
     SAVE_OR_R_TO_RETURN_TO_LYNX = strdup (new_msg);
     new_msg = catgets (catd, 1, 337, "Hit any key to change value; RETURN to accept.");
     ANY_KEY_CHANGE_RET_ACCEPT = strdup (new_msg);
     new_msg = catgets (catd, 1, 338, "Error uncompressing temporary file!");
     ERROR_UNCOMPRESSING_TEMP = strdup (new_msg);
     new_msg = catgets (catd, 1, 339, "Unsupported URL scheme!");
     UNSUPPORTED_URL_SCHEME = strdup (new_msg);
     new_msg = catgets (catd, 1, 340, "Unsupported data: URL!  Use SHOWINFO, for now.");
     UNSUPPORTED_DATA_URL = strdup (new_msg);
     new_msg = catgets (catd, 1, 341, "Server asked for redirection of POST content to");
     SERVER_ASKED_FOR_REDIRECTION = strdup (new_msg);
     new_msg = catgets (catd, 1, 342, "P)roceed, use G)ET or C)ancel ");
     PROCEED_GET_CANCEL = strdup (new_msg);
     new_msg = catgets (catd, 1, 343, "Redirection of POST content. P)roceed, see U)RL, use G)ET or C)ancel");
     ADVANCED_POST_REDIRECT = strdup (new_msg);
     new_msg = catgets (catd, 1, 344, "Document from Form with POST content.  Resubmit?");
     CONFIRM_POST_RESUBMISSION = strdup (new_msg);
     new_msg = catgets (catd, 1, 345, "Document will not be reloaded!");
     WILL_NOT_RELOAD_DOC = strdup (new_msg);
     new_msg = catgets (catd, 1, 346, "Location: ");
     LOCATION_HEADER = strdup (new_msg);
     new_msg = catgets (catd, 1, 347, "'%s' not found!");
     STRING_NOT_FOUND = strdup (new_msg);
     new_msg = catgets (catd, 1, 348, "Default Bookmark File");
     MULTIBOOKMARKS_DEFAULT = strdup (new_msg);
     new_msg = catgets (catd, 1, 349, "Screen too small! (8x35 min)");
     MULTIBOOKMARKS_SMALL = strdup (new_msg);
     new_msg = catgets (catd, 1, 350, "Select destination or ^G to Cancel: ");
     MULTIBOOKMARKS_SAVE = strdup (new_msg);
     new_msg = catgets (catd, 1, 351, "Select subbookmark, '=' for menu, or ^G to cancel: ");
     MULTIBOOKMARKS_SELECT = strdup (new_msg);
     new_msg = catgets (catd, 1, 352, "Reproduce L)ink in this bookmark file or C)ancel? (l,c): ");
     MULTIBOOKMARKS_SELF = strdup (new_msg);
     new_msg = catgets (catd, 1, 353, "Multiple bookmark support is not available.");
     MULTIBOOKMARKS_DISALLOWED = strdup (new_msg);
     new_msg = catgets (catd, 1, 354, " Select Bookmark (screen %d of %d)");
     MULTIBOOKMARKS_SHEAD_MASK = strdup (new_msg);
     new_msg = catgets (catd, 1, 355, "       Select Bookmark");
     MULTIBOOKMARKS_SHEAD = strdup (new_msg);
     new_msg = catgets (catd, 1, 356, "Editing Bookmark DESCRIPTION and FILEPATH (%d of 2)");
     MULTIBOOKMARKS_EHEAD_MASK = strdup (new_msg);
     new_msg = catgets (catd, 1, 357, "         Editing Bookmark DESCRIPTION and FILEPATH");
     MULTIBOOKMARKS_EHEAD = strdup (new_msg);
     new_msg = catgets (catd, 1, 358, "Letter: ");
     MULTIBOOKMARKS_LETTER = strdup (new_msg);
#ifdef VMS
     new_msg = catgets (catd, 1, 359, "Use a filepath off your login directory in SHELL syntax!");
#else
     new_msg = catgets (catd, 1, 360, "Use a filepath off your home directory!");
#endif /* VMS */
     USE_PATH_OFF_HOME = strdup (new_msg);
     new_msg = catgets (catd, 1, 361, "Maximum links per page exceeded!  Use half-page or two-line scrolling.");
     MAXLINKS_REACHED = strdup (new_msg);
     new_msg = catgets (catd, 1, 362, "History List maximum reached!  Document not pushed.");
     MAXHIST_REACHED = strdup (new_msg);
     new_msg = catgets (catd, 1, 363, "No previously visited links available!"); 
     VISITED_LINKS_EMPTY = strdup (new_msg);
     new_msg = catgets (catd, 1, 364, "Memory exhausted!  Program aborted!");
     MEMORY_EXHAUSTED_ABORT = strdup (new_msg);
     new_msg = catgets (catd, 1, 365, "Directory/File Manager not available");
     DFM_NOT_AVAILABLE = strdup (new_msg);
     new_msg = catgets (catd, 1, 366, "HREF in BASE tag is not an absolute URL.");
     BASE_NOT_ABSOLUTE = strdup (new_msg);
     new_msg = catgets (catd, 1, 367, "Location URL is not absolute.");
     LOCATION_NOT_ABSOLUTE = strdup (new_msg);
     new_msg = catgets (catd, 1, 368, "Refresh URL is not absolute.");
     REFRESH_URL_NOT_ABSOLUTE = strdup (new_msg);
     new_msg = catgets (catd, 1, 369, "You are sending a message with body to:\n  ");
     SENDING_MESSAGE_WITH_BODY_TO = strdup (new_msg);
     new_msg = catgets (catd, 1, 370, "You are sending a comment to:\n  ");
     SENDING_COMMENT_TO = strdup (new_msg);
     new_msg = catgets (catd, 1, 371, "\n\nUse Ctrl-G to cancel if you do not want to send a message\n");
     CTRL_G_TO_CANCEL_SEND = strdup (new_msg);
     new_msg = catgets (catd, 1, 372, "\n Please enter your name, or leave it blank to remain anonymous\n");
     ENTER_NAME_OR_BLANK = strdup (new_msg);
     new_msg = catgets (catd, 1, 373, "\n Please enter a mail address or some other\n");
     ENTER_MAIL_ADDRESS_OR_OTHER = strdup (new_msg);
     new_msg = catgets (catd, 1, 374, " means to contact you, if you desire a response.\n");
     MEANS_TO_CONTACT_FOR_RESPONSE = strdup (new_msg);
     new_msg = catgets (catd, 1, 375, "\n Please enter a subject line.\n");
     ENTER_SUBJECT_LINE = strdup (new_msg);
     new_msg = catgets (catd, 1, 376, "\n Enter a mail address for a CC of your message.\n");
     ENTER_ADDRESS_FOR_CC = strdup (new_msg);
     new_msg = catgets (catd, 1, 377, " (Leave blank if you don't want a copy.)\n");
     BLANK_FOR_NO_COPY = strdup (new_msg);
     new_msg = catgets (catd, 1, 378, "\n Please review the message body:\n\n");
     REVIEW_MESSAGE_BODY = strdup (new_msg);
     new_msg = catgets (catd, 1, 379, "\nPress RETURN to continue: ");
     RETURN_TO_CONTINUE = strdup (new_msg);
     new_msg = catgets (catd, 1, 380, " Use Control-U to erase the default.\n");
     CTRL_U_TO_ERASE = strdup (new_msg);
     new_msg = catgets (catd, 1, 381, "\n Please enter your message below.");
     ENTER_MESSAGE_BELOW = strdup (new_msg);
     new_msg = catgets (catd, 1, 382, "\n When you are done, press enter and put a single period (.)");
     ENTER_PERIOD_WHEN_DONE_A = strdup (new_msg);
     new_msg = catgets (catd, 1, 383, "\n on a line and press enter again.");
     ENTER_PERIOD_WHEN_DONE_B = strdup (new_msg);
     new_msg = catgets (catd, 1, 384, "%s cookie: %.*s=%.*s  Allow? (Y/N/Always/neVer)");
     ADVANCED_COOKIE_CONFIRMATION = strdup (new_msg);
     new_msg = catgets (catd, 1, 385, "Allowing this cookie.");
     ALLOWING_COOKIE = strdup (new_msg);
     new_msg = catgets (catd, 1, 386, "Rejecting this cookie.");
     REJECTING_COOKIE = strdup (new_msg);
     new_msg = catgets (catd, 1, 387, "The Cookie Jar is empty.");
     COOKIE_JAR_IS_EMPTY = strdup (new_msg);
     new_msg = catgets (catd, 1, 388, "Lynx Cookie Jar");
     COOKIE_JAR_TITLE = strdup (new_msg);
     new_msg = catgets (catd, 1, 389, "You have reached the Lynx Cookie Jar Page");
     REACHED_COOKIE_JAR_PAGE = strdup (new_msg);
     new_msg = catgets (catd, 1, 390, "Activate links to gobble up cookies or entire domains,");
     ACTIVATE_TO_GOBBLE = strdup (new_msg);
     new_msg = catgets (catd, 1, 391, "or to change a domain's 'allow' setting.");
     OR_CHANGE_ALLOW = strdup (new_msg);
     new_msg = catgets (catd, 1, 392, "(Cookies never allowed.)");
     COOKIES_NEVER_ALLOWED = strdup (new_msg);
     new_msg = catgets (catd, 1, 393, "(Cookies always allowed.)");
     COOKIES_ALWAYS_ALLOWED = strdup (new_msg);
     new_msg = catgets (catd, 1, 394, "(Cookies allowed via prompt.)");
     COOKIES_ALLOWED_VIA_PROMPT = strdup (new_msg);
     new_msg = catgets (catd, 1, 395, "(No name.)");
     NO_NAME = strdup (new_msg);
     new_msg = catgets (catd, 1, 396, "(No value.)");
     NO_VALUE = strdup (new_msg);
     new_msg = catgets (catd, 1, 397, "(End of session.)");
     END_OF_SESSION = strdup (new_msg);
     new_msg = catgets (catd, 1, 398, "Delete this cookie?");
     DELETE_COOKIE_CONFIRMATION = strdup (new_msg);
     new_msg = catgets (catd, 1, 399, "The cookie has been eaten!");
     COOKIE_EATEN = strdup (new_msg);
     new_msg = catgets (catd, 1, 400, "Delete this empty domain?");
     DELETE_EMPTY_DOMAIN_CONFIRMATION = strdup (new_msg);
     new_msg = catgets (catd, 1, 401, "The domain has been eaten!");
     DOMAIN_EATEN = strdup (new_msg);
     new_msg = catgets (catd, 1, 402, "D)elete domain's cookies, set allow A)lways/P)rompt/neV)er, or C)ancel? ");
     DELETE_COOKIES_SET_ALLOW_OR_CANCEL = strdup (new_msg);
     new_msg = catgets (catd, 1, 403, "D)elete domain, set allow A)lways/P)rompt/neV)er, or C)ancel? ");
     DELETE_DOMAIN_SET_ALLOW_OR_CANCEL = strdup (new_msg);
     new_msg = catgets (catd, 1, 404, "All cookies in the domain have been eaten!");
     DOMAIN_COOKIES_EATEN = strdup (new_msg);
     new_msg = catgets (catd, 1, 405, "'A'lways allowing from domain '%s'.");
     ALWAYS_ALLOWING_COOKIES = strdup (new_msg);
     new_msg = catgets (catd, 1, 406, "ne'V'er allowing from domain '%s'.");
     NEVER_ALLOWING_COOKIES = strdup (new_msg);
     new_msg = catgets (catd, 1, 407, "'P'rompting to allow from domain '%s'.");
     PROMTING_TO_ALLOW_COOKIES = strdup (new_msg);
     new_msg = catgets (catd, 1, 408, "Delete all cookies in this domain?");
     DELETE_ALL_COOKIES_IN_DOMAIN = strdup (new_msg);
     new_msg = catgets (catd, 1, 409, "All of the cookies in the jar have been eaten!");
     ALL_COOKIES_EATEN = strdup (new_msg);
     new_msg = catgets (catd, 1, 410, "Port 19 not permitted in URLs.");
     PORT_NINETEEN_INVALID = strdup (new_msg);
     new_msg = catgets (catd, 1, 411, "Port 25 not permitted in URLs.");
     PORT_TWENTYFIVE_INVALID = strdup (new_msg);
     new_msg = catgets (catd, 1, 412, "Maximum nesting of HTML elements exceeded.");
     HTML_STACK_OVERRUN = strdup (new_msg);
     new_msg = catgets (catd, 1, 413, "Bad partial reference! Stripping lead dots.");
     BAD_PARTIAL_REFERENCE = strdup (new_msg);
     new_msg = catgets (catd, 1, 414, "Trace Log open failed.  Trace off!.");
     TRACELOG_OPEN_FAILED = strdup (new_msg);
     new_msg = catgets (catd, 1, 415, "Lynx Trace Log");
     LYNX_TRACELOG_TITLE = strdup (new_msg);
     new_msg = catgets (catd, 1, 416, "No trace log has been started for this session.");
     NO_TRACELOG_STARTED = strdup (new_msg);
     new_msg = catgets (catd, 1, 417, "The maximum temporary file count has been reached!");
     MAX_TEMPCOUNT_REACHED = strdup (new_msg);
     new_msg = catgets (catd, 1, 418, "Form field value exceeds buffer length!  Trim the tail.");
     FORM_VALUE_TOO_LONG = strdup (new_msg);
     new_msg = catgets (catd, 1, 419, "Modified tail combined with head of form field value.");
     FORM_TAIL_COMBINED_WITH_HEAD = strdup (new_msg);
#ifdef DIRED_SUPPORT
     new_msg = catgets (catd, 1, 420, "  C)reate  D)ownload  E)dit  F)ull menu  M)odify  R)emove  T)ag  U)pload \n");
     DIRED_NOVICELINE = strdup (new_msg);
     new_msg = catgets (catd, 1, 421, "Failed to obtain status of current link!");
     CURRENT_LINK_STATUS_FAILED = strdup (new_msg);
#endif /* DIRED_SUPPORT */

     catclose(catd);
}


void locale_free()
{
     free (REALLY_QUIT);
     free (REALLY_EXIT);
     free (CANCELLED);
     free (CANCELLING);
     free (NO_CANCEL);
     free (OPERATION_DONE);
     free (BAD_REQUEST);
     free (PREVIOUS);
     free (NEXT_SCREEN);
     free (HELP);
     free (MOREHELP);
     free (MORE);
     free (FORM_LINK_TEXT_MESSAGE);
     free (FORM_LINK_TEXT_UNM_MSG);
     free (FORM_LINK_TEXT_SUBMIT_MESSAGE);
     free (FORM_LINK_TEXT_RESUBMIT_MESSAGE);
     free (FORM_LINK_TEXT_SUBMIT_UNM_MSG);
     free (FORM_LINK_TEXT_SUBMIT_MAILTO_MSG);
     free (FORM_LINK_TEXT_SUBMIT_MAILTO_DIS_MSG);
     free (FORM_LINK_PASSWORD_MESSAGE);
     free (FORM_LINK_PASSWORD_UNM_MSG);
     free (FORM_LINK_CHECKBOX_MESSAGE);
     free (FORM_LINK_CHECKBOX_UNM_MSG);
     free (FORM_LINK_RADIO_MESSAGE);
     free (FORM_LINK_RADIO_UNM_MSG);
     free (FORM_LINK_SUBMIT_MESSAGE);
     free (FORM_LINK_RESUBMIT_MESSAGE);
     free (FORM_LINK_SUBMIT_DIS_MSG);
     free (FORM_LINK_SUBMIT_MAILTO_MSG);
     free (FORM_LINK_SUBMIT_MAILTO_DIS_MSG);
     free (FORM_LINK_RESET_MESSAGE);
     free (FORM_LINK_RESET_DIS_MSG);
     free (FORM_LINK_OPTION_LIST_MESSAGE);
     free (CHOICE_LIST_MESSAGE);
     free (FORM_LINK_OPTION_LIST_UNM_MSG);
     free (CHOICE_LIST_UNM_MSG);
     free (NORMAL_LINK_MESSAGE);
     free (LINK_NOT_FOUND);
     free (WWW_WAIT_MESSAGE);
     free (WWW_SKIP_MESSAGE);
     free (ADVANCED_URL_MESSAGE);
     free (WWW_FAIL_MESSAGE);
     free (WWW_INDEX_MESSAGE);
     free (WWW_INDEX_MORE_MESSAGE);
     free (BAD_LINK_NUM_ENTERED);
     free (SOURCE_HELP);
     free (NOVICE_LINE_ONE);
     free (NOVICE_LINE_TWO);
     free (NOVICE_LINE_TWO_A);
     free (NOVICE_LINE_TWO_B);
     free (NOVICE_LINE_TWO_C);
     free (FORM_NOVICELINE_ONE);
     free (FORM_NOVICELINE_TWO);
     free (SUBMITTING_FORM);
     free (RESETTING_FORM);
     free (RELOADING_FORM);
     free (BAD_FORM_MAILTO);
     free (FORM_MAILTO_DISALLOWED);
     free (FORM_MAILTO_FAILED);
     free (FORM_MAILTO_CANCELLED);
     free (SENDING_FORM_CONTENT);
     free (NO_ADDRESS_IN_MAILTO_URL);
     free (MAILTO_URL_TEMPOPEN_FAILED);
     free (COMMENT_REQUEST_CANCELLED);
     free (INC_ORIG_MSG_PROMPT);
     free (SPAWNING_EDITOR_FOR_MAIL);
     free (ERROR_SPAWNING_EDITOR);
     free (SEND_COMMENT_PROMPT);
     free (SEND_MESSAGE_PROMPT);
     free (SENDING_YOUR_MSG);
     free (FILE_ACTIONS_DISALLOWED);
     free (FILE_SERVED_LINKS_DISALLOWED);
     free (FILE_BOOKMARKS_DISALLOWED);
     free (SPECIAL_VIA_EXTERNAL_DISALLOWED);
     free (RETURN_TO_LYNX);
     free (SPAWNING_MSG);
     free (SPAWNING_DISABLED);
     free (DOWNLOAD_DISABLED);
     free (NO_DOWNLOAD_INPUT);
     free (NO_DOWNLOAD_MAILTO_ACTION);
     free (NO_DOWNLOAD_COOKIES);
     free (NO_DOWNLOAD_PRINT_OP);
     free (NO_DOWNLOAD_UPLOAD_OP);
     free (NO_DOWNLOAD_PERMIT_OP);
     free (NO_DOWNLOAD_SPECIAL);
     free (NO_DOWNLOAD_CHOICE);
     free (TRACE_ON);
     free (TRACE_OFF);
     free (CLICKABLE_IMAGES_ON);
     free (CLICKABLE_IMAGES_OFF);
     free (PSEUDO_INLINE_ALTS_ON);
     free (PSEUDO_INLINE_ALTS_OFF);
     free (RAWMODE_OFF);
     free (RAWMODE_ON);
     free (HEAD_D_L_OR_CANCEL);
     free (HEAD_D_OR_CANCEL);
     free (DOC_NOT_HTTP_URL);
     free (LINK_NOT_HTTP_URL);
     free (FORM_ACTION_DISABLED);
     free (FORM_ACTION_NOT_HTTP_URL);
     free (NOT_HTTP_URL_OR_ACTION);
     free (SPECIAL_ACTION_DISALLOWED);
     free (NOT_IN_STARTING_REALM);
     free (NEWSPOSTING_DISABLED);
     free (DIRED_DISABLED);
     free (NO_JUMPFILE);
     free (JUMP_PROMPT);
     free (JUMP_DISALLOWED);
     free (RANDOM_URL_DISALLOWED);
     free (NO_RANDOM_URLS_YET);
     free (BOOKMARKS_DISABLED);
     free (BOOKMARK_EXEC_DISABLED);
     free (BOOKMARK_FILE_NOT_DEFINED);
     free (NO_TEMP_FOR_HOTLIST);
     free (BOOKMARK_OPEN_FAILED);
     free (BOOKMARK_OPEN_FAILED_FOR_DEL);
     free (BOOKSCRA_OPEN_FAILED_FOR_DEL);
     free (ERROR_RENAMING_SCRA);
     free (BOOKTEMP_OPEN_FAILED_FOR_DEL);
     free (ERROR_RENAMING_TEMP);
     free (BOOKTEMP_REOPEN_FAIL_FOR_DEL);
     free (BOOKMARK_LINK_NOT_ONE_LINE);
     free (BOOKMARK_DEL_FAILED);
     free (BOOKMARKS_NOT_TRAVERSED);
     free (BOOKMARKS_NOT_OPEN);
     free (BOOKMARKS_NOLINKS);
     free (BOOK_D_L_OR_CANCEL);
     free (BOOK_D_OR_CANCEL);
     free (BOOK_L_OR_CANCEL);
     free (NOBOOK_POST_FORM);
     free (NOBOOK_FORM_FIELD);
     free (NOBOOK_HSML);
     free (CONFIRM_BOOKMARK_DELETE);
     free (MALFORMED_ADDRESS);
     free (HISTORICAL_ON_MINIMAL_OFF);
     free (HISTORICAL_OFF_MINIMAL_ON);
     free (HISTORICAL_ON_VALID_OFF);
     free (HISTORICAL_OFF_VALID_ON);
     free (MINIMAL_ON_IN_EFFECT);
     free (MINIMAL_OFF_VALID_ON);
     free (MINIMAL_ON_BUT_HISTORICAL); 
     free (MINIMAL_OFF_HISTORICAL_ON);
     free (SOFT_DOUBLE_QUOTE_ON);
     free (SOFT_DOUBLE_QUOTE_OFF);
     free (ALREADY_AT_END);
     free (ALREADY_AT_BEGIN);
     free (ALREADY_AT_PAGE);
     free (LINK_ALREADY_CURRENT);
     free (ALREADY_AT_FIRST);
     free (NO_LINKS_ABOVE);
     free (NO_LINKS_BELOW);
     free (MAXLEN_REACHED_DEL_OR_MOV);
     free (NOT_ON_SUBMIT_OR_LINK);
     free (NEED_CHECKED_RADIO_BUTTON);
     free (PREV_DOC_QUERY);
     free (ARROWS_OR_TAB_TO_MOVE);
     free (ENTER_TEXT_ARROWS_OR_TAB);
     free (NO_FORM_ACTION);
     free (BAD_HTML_NO_POPUP);
     free (POPUP_FAILED);
     free (GOTO_DISALLOWED);
     free (GOTO_NON_HTTP_DISALLOWED);
     free (GOTO_CSO_DISALLOWED);
     free (GOTO_FILE_DISALLOWED);
     free (GOTO_FINGER_DISALLOWED);
     free (GOTO_FTP_DISALLOWED);
     free (GOTO_GOPHER_DISALLOWED);
     free (GOTO_HTTP_DISALLOWED);
     free (GOTO_HTTPS_DISALLOWED);
     free (GOTO_CGI_DISALLOWED);
     free (GOTO_EXEC_DISALLOWED);
     free (GOTO_PROG_DISALLOWED);
     free (GOTO_MAILTO_DISALLOWED);
     free (GOTO_NEWS_DISALLOWED);
     free (GOTO_NNTP_DISALLOWED);
     free (GOTO_RLOGIN_DISALLOWED);
     free (GOTO_SNEWS_DISALLOWED);
     free (GOTO_TELNET_DISALLOWED);
     free (GOTO_TN3270_DISALLOWED);
     free (GOTO_WAIS_DISALLOWED);
     free (GOTO_SPECIAL_DISALLOWED);
     free (URL_TO_OPEN);
     free (EDIT_CURRENT_GOTO);
     free (EDIT_THE_PREV_GOTO);
     free (EDIT_A_PREV_GOTO);
     free (CURRENT_DOC_HAS_POST_DATA);
     free (EDIT_CURDOC_URL);
     free (ENTER_DATABASE_QUERY);
     free (ENTER_WHEREIS_QUERY);
     free (EDIT_CURRENT_QUERY);
     free (EDIT_THE_PREV_QUERY);
     free (EDIT_A_PREV_QUERY);
     free (USE_C_R_TO_RESUB_CUR_QUERY);
     free (EDIT_CURRENT_SHORTCUT);
     free (EDIT_THE_PREV_SHORTCUT);
     free (EDIT_A_PREV_SHORTCUT);
     free (KEY_NOT_MAPPED_TO_JUMP_FILE);
     free (CANNOT_LOCATE_JUMP_FILE);
     free (CANNOT_OPEN_JUMP_FILE);
     free (ERROR_READING_JUMP_FILE);
     free (OUTOF_MEM_FOR_JUMP_FILE);
     free (OUTOF_MEM_FOR_JUMP_TABLE);
     free (NO_INDEX_FILE);
     free (CONFIRM_MAIN_SCREEN);
     free (IN_MAIN_SCREEN);
     free (NOT_ISINDEX);
     free (NO_OWNER);
     free (NO_OWNER_USE);
     free (CONFIRM_COMMENT);
     free (MAIL_DISALLOWED);
     free (EDIT_DISABLED);
     free (NO_STATUS);
     free (NO_EDITOR);
     free (PRINT_DISABLED);
     free (NO_TOOLBAR);
     free (NOOPEN_TRAV_ERR_FILE);
     free (FOLLOW_LINK_NUMBER);
     free (SELECT_OPTION_NUMBER);
     free (OPTION_CHOICE_NUMBER);
     free (OPTION_ALREADY_CURRENT);
     free (CHOICE_ALREADY_CURRENT);
     free (ALREADY_AT_OPTION_END);
     free (ALREADY_AT_CHOICE_END);
     free (ALREADY_AT_OPTION_BEGIN);
     free (ALREADY_AT_CHOICE_BEGIN);
     free (ALREADY_AT_OPTION_PAGE);
     free (ALREADY_AT_CHOICE_PAGE);
     free (BAD_OPTION_NUM_ENTERED);
     free (BAD_CHOICE_NUM_ENTERED);
     free (BAD_HTML_USE_TRACE);
     free (CANNOT_OPEN_TEMP);
     free (CANNOT_OPEN_OUTPUT);
     free (EXECUTION_DISABLED);
     free (EXECUTION_DISABLED_FOR_FILE);
     free (EXECUTION_NOT_COMPILED);
     free (CANNOT_DISPLAY_FILE);
     free (CANNOT_DISPLAY_FILE_D_OR_C);
     free (WRONG_CHARSET_D_OR_C);
     free (UNMAPPED_TYPE_D_OR_C);
     free (CANCELLING_FILE);
     free (RETRIEVING_FILE);
     free (FILENAME_PROMPT);
     free (EDIT_THE_PREV_FILENAME);
     free (EDIT_A_PREV_FILENAME);
     free (NEW_FILENAME_PROMPT);
     free (FILENAME_CANNOT_BE_DOT);
     free (FILE_EXISTS_HPROMPT);
     free (FILE_EXISTS_OPROMPT);
     free (CANNOT_WRITE_TO_FILE);
     free (MISCONF_DOWNLOAD_COMMAND);
     free (CANNOT_DOWNLOAD_FILE);
     free (SAVING);
     free (COULD_NOT_ACCESS_FILE);
     free (CANNOT_EDIT_REMOTE_FILES);
     free (NOAUTH_TO_EDIT_FILE);
     free (TITLE_PROMPT);
     free (SUBJECT_PROMPT);
     free (USERNAME_PROMPT);
     free (PASSWORD_PROMPT);
     free (USERNAME_PASSWORD_REQUIRED);
     free (PASSWORD_REQUIRED);
     free (CGI_DISABLED);
     free (CGI_NOT_COMPILED);
     free (CANNOT_CONVERT_I_TO_O);
     free (CONNECT_SET_FAILED);
     free (CONNECT_FAILED);
     free (MALFORMED_EXEC_REQUEST);
     free (BADCHAR_IN_EXEC_LINK);
     free (RELPATH_IN_EXEC_LINK);
     free (BADLOCPATH_IN_EXEC_LINK);
     free (MAIL_DISABLED);
     free (ACCESS_ONLY_LOCALHOST);
     free (TELNET_DISABLED);
     free (TELNET_PORT_SPECS_DISABLED);
     free (NEWS_DISABLED);
     free (RLOGIN_DISABLED);
     free (FTP_DISABLED);
     free (NO_REFS_FROM_DOC);
     free (CANNOT_OPEN_COMFILE);
     free (NEWS_POST_CANCELLED);
     free (SPAWNING_EDITOR_FOR_NEWS);
     free (POST_MSG_PROMPT);
     free (APPEND_SIG_FILE);
     free (POSTING_TO_NEWS);
     free (HAVE_UNREAD_MAIL_MSG);
     free (HAVE_MAIL_MSG);
     free (HAVE_NEW_MAIL_MSG);
     free (SAVE_REQUEST_CANCELLED);
     free (MAIL_REQUEST_CANCELLED);
     free (MAILING_FILE);
     free (MAIL_REQUEST_FAILED);
     free (CONFIRM_LONG_SCREEN_PRINT);
     free (PRINT_REQUEST_CANCELLED);
     free (PRESS_RETURN_TO_BEGIN);
     free (PRESS_RETURN_TO_FINISH);
     free (CONFIRM_LONG_PAGE_PRINT);
     free (FILE_ALLOC_FAILED);
     free (UNABLE_TO_OPEN_TEMPFILE);
     free (UNABLE_TO_OPEN_PRINTOP_FILE);
     free (PRINTING_FILE);
     free (MAIL_ADDRESS_PROMPT);
     free (PRINTER_MISCONF_ERROR);
     free (MISDIRECTED_MAP_REQUEST);
     free (MAP_NOT_ACCESSIBLE);
     free (MAPS_NOT_AVAILABLE);
     free (MAP_NOT_AVAILABLE);
     free (OPTION_SCREEN_NEEDS_24);
     free (OPTION_SCREEN_NEEDS_23);
     free (OPTION_SCREEN_NEEDS_22);
     free (COMMAND_PROMPT);
     free (SELECT_SEGMENT);
     free (CAP_LETT_SEGMENT);
     free (OF_OPT_LINE_SEGMENT);
     free (TO_SAVE_SEGMENT);
     free (OR_SEGMENT);
     free (TO_RETURN_SEGMENT);
     free (ACCEPT_DATA);
     free (ACCEPT_DATA_OR_DEFAULT);
     free (VALUE_ACCEPTED);
     free (VALUE_ACCEPTED_WARNING_X);
     free (VALUE_ACCEPTED_WARNING_NONX);
     free (EDITOR_LOCKED);
     free (FAILED_TO_SET_DISPLAY);
     free (FAILED_CLEAR_SET_DISPLAY);
     free (BOOKMARK_CHANGE_DISALLOWED);
     free (DOTFILE_ACCESS_DISABLED);
     free (UA_COPYRIGHT_WARNING);
     free (CHANGE_OF_SETTING_DISALLOWED);
     free (SAVING_OPTIONS);
     free (OPTIONS_SAVED);
     free (OPTIONS_NOT_SAVED);
     free (R_TO_RETURN_TO_LYNX);
     free (SAVE_OR_R_TO_RETURN_TO_LYNX);
     free (ANY_KEY_CHANGE_RET_ACCEPT);
     free (ERROR_UNCOMPRESSING_TEMP);
     free (UNSUPPORTED_URL_SCHEME);
     free (UNSUPPORTED_DATA_URL);
     free (SERVER_ASKED_FOR_REDIRECTION);
     free (PROCEED_GET_CANCEL);
     free (ADVANCED_POST_REDIRECT);
     free (CONFIRM_POST_RESUBMISSION);
     free (WILL_NOT_RELOAD_DOC);
     free (LOCATION_HEADER);
     free (STRING_NOT_FOUND);
     free (MULTIBOOKMARKS_DEFAULT);
     free (MULTIBOOKMARKS_SMALL);
     free (MULTIBOOKMARKS_SAVE);
     free (MULTIBOOKMARKS_SELECT);
     free (MULTIBOOKMARKS_SELF);
     free (MULTIBOOKMARKS_DISALLOWED);
     free (MULTIBOOKMARKS_SHEAD_MASK);
     free (MULTIBOOKMARKS_SHEAD);
     free (MULTIBOOKMARKS_EHEAD_MASK);
     free (MULTIBOOKMARKS_EHEAD);
     free (MULTIBOOKMARKS_LETTER);
     free (USE_PATH_OFF_HOME);
     free (MAXLINKS_REACHED);
     free (MAXHIST_REACHED);
     free (VISITED_LINKS_EMPTY);
     free (MEMORY_EXHAUSTED_ABORT);
     free (DFM_NOT_AVAILABLE);
     free (BASE_NOT_ABSOLUTE);
     free (LOCATION_NOT_ABSOLUTE);
     free (REFRESH_URL_NOT_ABSOLUTE);
     free (SENDING_MESSAGE_WITH_BODY_TO);
     free (SENDING_COMMENT_TO);
     free (CTRL_G_TO_CANCEL_SEND);
     free (ENTER_NAME_OR_BLANK);
     free (ENTER_MAIL_ADDRESS_OR_OTHER);
     free (MEANS_TO_CONTACT_FOR_RESPONSE);
     free (ENTER_SUBJECT_LINE);
     free (ENTER_ADDRESS_FOR_CC);
     free (BLANK_FOR_NO_COPY);
     free (REVIEW_MESSAGE_BODY);
     free (RETURN_TO_CONTINUE);
     free (CTRL_U_TO_ERASE);
     free (ENTER_MESSAGE_BELOW);
     free (ENTER_PERIOD_WHEN_DONE_A);
     free (ENTER_PERIOD_WHEN_DONE_B);
     free (ADVANCED_COOKIE_CONFIRMATION);
     free (ALLOWING_COOKIE);
     free (REJECTING_COOKIE);
     free (COOKIE_JAR_IS_EMPTY);
     free (COOKIE_JAR_TITLE);
     free (REACHED_COOKIE_JAR_PAGE);
     free (ACTIVATE_TO_GOBBLE);
     free (OR_CHANGE_ALLOW);
     free (COOKIES_NEVER_ALLOWED);
     free (COOKIES_ALWAYS_ALLOWED);
     free (COOKIES_ALLOWED_VIA_PROMPT);
     free (NO_NAME);
     free (NO_VALUE);
     free (END_OF_SESSION);
     free (DELETE_COOKIE_CONFIRMATION);
     free (COOKIE_EATEN);
     free (DELETE_EMPTY_DOMAIN_CONFIRMATION);
     free (DOMAIN_EATEN);
     free (DELETE_COOKIES_SET_ALLOW_OR_CANCEL);
     free (DELETE_DOMAIN_SET_ALLOW_OR_CANCEL);
     free (DOMAIN_COOKIES_EATEN);
     free (ALWAYS_ALLOWING_COOKIES);
     free (NEVER_ALLOWING_COOKIES);
     free (PROMTING_TO_ALLOW_COOKIES);
     free (DELETE_ALL_COOKIES_IN_DOMAIN);
     free (ALL_COOKIES_EATEN);
     free (PORT_NINETEEN_INVALID);
     free (PORT_TWENTYFIVE_INVALID);
     free (HTML_STACK_OVERRUN);
     free (BAD_PARTIAL_REFERENCE);
     free (TRACELOG_OPEN_FAILED);
     free (LYNX_TRACELOG_TITLE);
     free (NO_TRACELOG_STARTED);
     free (MAX_TEMPCOUNT_REACHED);
     free (FORM_VALUE_TOO_LONG);
     free (FORM_TAIL_COMBINED_WITH_HEAD);
     free (DIRED_NOVICELINE);
     free (CURRENT_LINK_STATUS_FAILED);
}
